
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest4 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test001"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(50.0f, 50.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 50.0f);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test002"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.62500006f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.62500006f);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test003"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.300931077537462d), 0.145193586243812d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.010543905049837987d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test004"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    long long3 = mean0.getN();
    mean0.increment(0.6261431468677289d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    variance9.clear();
    variance9.increment(100.0d);
    double d13 = variance9.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance9, variance16);
    double[] d_array19 = new double[] { 0.0d };
    double d20 = variance16.evaluate(d_array19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    variance24.clear();
    variance24.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment29);
    variance31.clear();
    variance31.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance24, variance31);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance16, variance24);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 10.0d };
    double d41 = variance16.evaluate(d_array37, d_array39, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      mean0.setData(d_array39, 5, 1023);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test005"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.999020813314648d), 0.2402995113224999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.037822768024648346d));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test006"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    long long8 = secondMoment7.getN();
    double[] d_array9 = secondMoment7.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    long long11 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment14);
    variance16.clear();
    variance16.increment(100.0d);
    double d20 = variance16.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance16, variance23);
    double[] d_array26 = new double[] { 0.0d };
    double d27 = variance23.evaluate(d_array26);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment29);
    variance31.clear();
    variance31.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment36 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment36);
    org.apache.commons.math.stat.descriptive.moment.Variance variance38 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment36);
    variance38.clear();
    variance38.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance31, variance38);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance23, variance31);
    double[] d_array44 = new double[] { 1.0d };
    double[] d_array46 = new double[] { 10.0d };
    double d48 = variance23.evaluate(d_array44, d_array46, 0.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment50 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment49);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment51 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment50);
    org.apache.commons.math.stat.descriptive.moment.Variance variance52 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment50);
    org.apache.commons.math.stat.descriptive.moment.Variance variance53 = variance52.copy();
    boolean b54 = variance53.isBiasCorrected();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment56 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment56);
    org.apache.commons.math.stat.descriptive.moment.Variance variance58 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment56);
    variance58.clear();
    variance58.increment(100.0d);
    double d62 = variance58.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment63 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment64 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment63);
    org.apache.commons.math.stat.descriptive.moment.Variance variance65 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment63);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance58, variance65);
    double[] d_array68 = new double[] { 0.0d };
    double d69 = variance65.evaluate(d_array68);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment71 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment72 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment71);
    org.apache.commons.math.stat.descriptive.moment.Variance variance73 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment71);
    variance73.clear();
    variance73.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment78 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment79 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment78);
    org.apache.commons.math.stat.descriptive.moment.Variance variance80 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment78);
    variance80.clear();
    variance80.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance73, variance80);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance65, variance73);
    double[] d_array86 = new double[] { 1.0d };
    double[] d_array88 = new double[] { 10.0d };
    double d90 = variance65.evaluate(d_array86, d_array88, 0.0d);
    variance53.setData(d_array86);
    double d93 = variance12.evaluate(d_array46, d_array86, 4.193139955781788d);
    double d94 = sum1.evaluate(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 1.0d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-9.911401559665277d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5290589297523463d));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test008"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.1125369292536007E-306d, 1.7157201159733753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1125369292536007E-306d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test009"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(55.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.694785265142071E23d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test010"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.26057994374712745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test011"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.5707963267948966d, (java.lang.Number)0.5001138966722573d, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException3.getMax();
    boolean b7 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.String str8 = numberIsTooLargeException3.toString();
    java.lang.String str9 = numberIsTooLargeException3.toString();
    boolean b10 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.5001138966722573d+ "'", number4.equals(0.5001138966722573d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.5001138966722573d+ "'", number6.equals(0.5001138966722573d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: 1.571 is larger than, or equal to, the maximum (0.5)"+ "'", str8.equals("org.apache.commons.math.exception.NumberIsTooLargeException: 1.571 is larger than, or equal to, the maximum (0.5)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: 1.571 is larger than, or equal to, the maximum (0.5)"+ "'", str9.equals("org.apache.commons.math.exception.NumberIsTooLargeException: 1.571 is larger than, or equal to, the maximum (0.5)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test012"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    double[] d_array13 = new double[] { 0.0d };
    double d14 = variance10.evaluate(d_array13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    variance18.clear();
    variance18.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment23);
    variance25.clear();
    variance25.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance18, variance25);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance10, variance18);
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array33 = new double[] { 10.0d };
    double d35 = variance10.evaluate(d_array31, d_array33, 0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = variance10.copy();
    boolean b38 = variance10.isBiasCorrected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test013"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    secondMoment2.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    long long5 = secondMoment2.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test014"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(3.8146973E-6f, 140.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146977E-6f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test015"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment3, secondMoment7);
    boolean b12 = secondMoment7.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = secondMoment7.copy();
    long long14 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = secondMoment7.copy();
    long long16 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment17);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic19 = secondMoment17.copy();
    secondMoment17.increment(0.021910548544546757d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = secondMoment17.copy();
    secondMoment17.increment(1.4797164368522693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test016"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    double[] d_array6 = new double[] { 100.0d, 10.0d };
    sum1.incrementAll(d_array6);
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum8.copy();
    sum9.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = sum9.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = sum12.copy();
    sum13.increment(3.141592653589793d);
    sum13.increment(2025.0d);
    boolean b18 = sum11.equals((java.lang.Object)sum13);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum1, sum13);
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum13);
    long long21 = sum13.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum13);
    double d23 = sum22.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 113.1415926535898d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test017"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.004987317232983515d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-8));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test018"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)4050.0d, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 4050.0d+ "'", number5.equals(4050.0d));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test019"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.011552865662804949d);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test020"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    secondMoment6.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = secondMoment6.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.8218419767999502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.274685899688552d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test022"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1.004507946603044d);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable3, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    boolean b8 = numberIsTooSmallException7.getBoundIsAllowed();
    notPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test023"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    secondMoment2.clear();
    double d4 = secondMoment2.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test024"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)10.0d, (java.lang.Number)9.306943613116555d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 9.306943613116555d+ "'", number5.equals(9.306943613116555d));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test025"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-127), 10);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    int i5 = dimensionMismatchException3.getDimension();
    int i6 = dimensionMismatchException3.getDimension();
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = dimensionMismatchException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test026"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(4.155773612887457E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-15));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test027"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = sum7.copy();
    sum8.increment(3.141592653589793d);
    double[] d_array13 = new double[] { 100.0d, 10.0d };
    sum8.incrementAll(d_array13);
    double d16 = variance6.evaluate(d_array13, 1.0d);
    double d17 = sum0.evaluate(d_array13);
    sum0.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = sum19.copy();
    long long21 = sum19.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum19);
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = sum23.copy();
    long long25 = sum23.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum26 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum23);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum19, sum23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum28.copy();
    sum29.increment(3.141592653589793d);
    sum29.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum19, sum29);
    org.apache.commons.math.stat.descriptive.summary.Sum sum35 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = sum35.copy();
    long long37 = sum35.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum35);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum29, sum35);
    long long40 = sum29.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum41 = sum29.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum42 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum43 = sum42.copy();
    long long44 = sum42.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum42);
    org.apache.commons.math.stat.descriptive.summary.Sum sum46 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = sum46.copy();
    long long48 = sum46.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum46);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum42, sum46);
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = sum42.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum29, sum51);
    org.apache.commons.math.stat.descriptive.summary.Sum sum53 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum51);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum53);
    org.apache.commons.math.stat.descriptive.summary.Sum sum55 = sum53.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum56 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum55);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test028"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.7403626894942439d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0080902800686076d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test029"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.4711276743037347d, 0.406133213546029d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4711276743037347d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test030"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment9);
    variance11.clear();
    variance11.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = sum14.copy();
    sum15.increment(3.141592653589793d);
    double[] d_array20 = new double[] { 100.0d, 10.0d };
    sum15.incrementAll(d_array20);
    double d22 = variance11.evaluate(d_array20);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment24);
    org.apache.commons.math.stat.descriptive.summary.Sum sum27 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = sum27.copy();
    sum28.increment(3.141592653589793d);
    double[] d_array33 = new double[] { 100.0d, 10.0d };
    sum28.incrementAll(d_array33);
    double d36 = variance26.evaluate(d_array33, 1.0d);
    double d37 = mean5.evaluate(d_array20, d_array33);
    double d38 = mean3.evaluate(d_array20);
    double d39 = mean3.getResult();
    mean3.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 55.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test031"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.8218419767999502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.274685899688552d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test032"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.7646075E17f, 0.47735379848653336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.76460718E17f);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test033"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    double d3 = sum0.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = sum0.copy();
    sum4.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum4);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test034"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.4655523131729952d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5928937221617672d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test035"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.8814812841741141d, (java.lang.Number)24, true);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test036"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.3094682437026747d), number2, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test037"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test038"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)12.0d, (java.lang.Number)5.693644666513334d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 5.693644666513334d+ "'", number4.equals(5.693644666513334d));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test039"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.9945723548404314d), 1.7403626894942439d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5191805014634014d));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test040"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, (-2));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-2));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.2574544588689754d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2574544588689754d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test042"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(50.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test043"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6336274034059984d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8589040498770225d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.02191230203069545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test045"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.3627002969719304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3627002969719304d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test046"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.6261431468677289d);
    java.lang.Number number3 = notPositiveException2.getMin();
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      notPositiveException2.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test047"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment11);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment11);
    variance13.clear();
    variance13.increment(100.0d);
    double d17 = variance13.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean19 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean18, mean19);
    org.apache.commons.math.stat.descriptive.moment.Mean mean21 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean22 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean21, mean22);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean18, mean21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment26);
    variance28.clear();
    variance28.increment(100.0d);
    double d32 = variance28.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance28, variance35);
    double[] d_array38 = new double[] { 0.0d };
    double d39 = variance35.evaluate(d_array38);
    mean21.incrementAll(d_array38);
    double d42 = variance13.evaluate(d_array38, 0.0d);
    sum4.setData(d_array38);
    org.apache.commons.math.stat.descriptive.moment.Mean mean44 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean45 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean44, mean45);
    org.apache.commons.math.stat.descriptive.moment.Mean mean47 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean48 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean47, mean48);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean44, mean47);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment52);
    org.apache.commons.math.stat.descriptive.moment.Variance variance54 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment52);
    variance54.clear();
    variance54.increment(100.0d);
    double d58 = variance54.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment59 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment60 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment59);
    org.apache.commons.math.stat.descriptive.moment.Variance variance61 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment59);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance54, variance61);
    double[] d_array64 = new double[] { 0.0d };
    double d65 = variance61.evaluate(d_array64);
    mean47.incrementAll(d_array64);
    // The following exception was thrown during execution in test generation
    try {
      sum4.setData(d_array64, 100, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test048"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.015899483706847566d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01589814407982688d));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test049"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.0911975185213631d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test050"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.1920935E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test051"); }


    long long2 = org.apache.commons.math.util.FastMath.max(2L, 269L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 269L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test052"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = secondMoment1.copy();
    long long4 = secondMoment1.getN();
    secondMoment1.clear();
    double d6 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment8);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = sum11.copy();
    sum12.increment(3.141592653589793d);
    double[] d_array17 = new double[] { 100.0d, 10.0d };
    sum12.incrementAll(d_array17);
    double d20 = variance10.evaluate(d_array17, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance10, variance23);
    variance23.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean28 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean27, mean28);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment31);
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment31);
    variance33.clear();
    variance33.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = sum36.copy();
    sum37.increment(3.141592653589793d);
    double[] d_array42 = new double[] { 100.0d, 10.0d };
    sum37.incrementAll(d_array42);
    double d44 = variance33.evaluate(d_array42);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment46);
    org.apache.commons.math.stat.descriptive.moment.Variance variance48 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment46);
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum50 = sum49.copy();
    sum50.increment(3.141592653589793d);
    double[] d_array55 = new double[] { 100.0d, 10.0d };
    sum50.incrementAll(d_array55);
    double d58 = variance48.evaluate(d_array55, 1.0d);
    double d59 = mean27.evaluate(d_array42, d_array55);
    double d60 = variance23.evaluate(d_array55);
    secondMoment1.setData(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 2025.0d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(4.9349680865253145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 139.06870429568497d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.9856580380191058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 56.474045621639995d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(4.193139955781788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test056"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9718129595133441d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.132167442594793d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test057"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    long long8 = variance7.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test058"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(short)100, number2, false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test059"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)5);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test060"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(15.523939991684236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.506468568097769d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test061"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    secondMoment2.clear();

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test062"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    long long8 = variance3.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = variance3.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance9);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test063"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    secondMoment6.clear();
    double d11 = secondMoment6.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment15, secondMoment19);
    boolean b24 = secondMoment19.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = secondMoment19.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment6, secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment31);
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment31);
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment31);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment36 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment35);
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment35);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment31, secondMoment35);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic39 = secondMoment35.copy();
    secondMoment35.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment35);
    org.apache.commons.math.stat.descriptive.moment.Mean mean42 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean43 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean42, mean43);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment46);
    org.apache.commons.math.stat.descriptive.moment.Variance variance48 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment46);
    variance48.clear();
    variance48.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum52 = sum51.copy();
    sum52.increment(3.141592653589793d);
    double[] d_array57 = new double[] { 100.0d, 10.0d };
    sum52.incrementAll(d_array57);
    double d59 = variance48.evaluate(d_array57);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment61 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment62 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment61);
    org.apache.commons.math.stat.descriptive.moment.Variance variance63 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment61);
    org.apache.commons.math.stat.descriptive.summary.Sum sum64 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum65 = sum64.copy();
    sum65.increment(3.141592653589793d);
    double[] d_array70 = new double[] { 100.0d, 10.0d };
    sum65.incrementAll(d_array70);
    double d73 = variance63.evaluate(d_array70, 1.0d);
    double d74 = mean42.evaluate(d_array57, d_array70);
    double d75 = secondMoment35.evaluate(d_array70);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment28, secondMoment35);
    secondMoment35.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 4050.0d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2246467991473532E-16d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test065"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 3, 6);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test066"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    double[] d_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = mean6.evaluate(d_array7, 3, 24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test067"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.2726557646411708d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.27265576464117086d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test068"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)0.14112000805986716d, false);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test069"); }


    double d1 = org.apache.commons.math.util.FastMath.log(5.693644666513334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7393505820110264d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test070"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.summary.Sum sum1 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test071"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    secondMoment2.increment(0.8036440837285719d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum9);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment13);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = sum16.copy();
    sum17.increment(3.141592653589793d);
    double[] d_array22 = new double[] { 100.0d, 10.0d };
    sum17.incrementAll(d_array22);
    double d25 = variance15.evaluate(d_array22, 1.0d);
    double d26 = sum9.evaluate(d_array22);
    secondMoment2.setData(d_array22);
    secondMoment2.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 110.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test072"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.0080902800686076d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test073"); }


    long long2 = org.apache.commons.math.util.FastMath.min(92L, 8L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8L);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test074"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.29223664375395d), 139.06870429568497d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.29223664375395d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test075"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, (-2.969050552403808d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.969050552403808d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test076"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    variance1.increment((-0.9903290191845349d));
    double[] d_array4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = variance1.evaluate(d_array4, 2147483647, 24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test077"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(89.26279074681165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test078"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    double d3 = sum0.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = sum0.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    long long9 = secondMoment6.getN();
    secondMoment6.clear();
    secondMoment6.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment14, secondMoment18);
    boolean b23 = secondMoment18.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment26);
    variance28.clear();
    variance28.increment(100.0d);
    double d32 = variance28.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance28, variance35);
    double[] d_array38 = new double[] { 0.0d };
    double d39 = variance35.evaluate(d_array38);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment42 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment41);
    org.apache.commons.math.stat.descriptive.moment.Variance variance43 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment41);
    variance43.clear();
    variance43.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment48 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment48);
    org.apache.commons.math.stat.descriptive.moment.Variance variance50 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment48);
    variance50.clear();
    variance50.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance43, variance50);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance35, variance43);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment55 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment56 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment55);
    long long57 = secondMoment56.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment59 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment60 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment59);
    org.apache.commons.math.stat.descriptive.moment.Variance variance61 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment59);
    variance61.clear();
    variance61.increment(100.0d);
    double d65 = variance61.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment66 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment67 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment66);
    org.apache.commons.math.stat.descriptive.moment.Variance variance68 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment66);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance61, variance68);
    double[] d_array71 = new double[] { 0.0d };
    double d72 = variance68.evaluate(d_array71);
    double d73 = secondMoment56.evaluate(d_array71);
    double d76 = variance35.evaluate(d_array71, 0, 1);
    double d78 = variance24.evaluate(d_array71, (-0.6619304437603319d));
    secondMoment6.setData(d_array71);
    // The following exception was thrown during execution in test generation
    try {
      double d82 = sum4.evaluate(d_array71, 6, 105);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long57 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test079"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = mean15.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean17 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean17, mean18);
    org.apache.commons.math.stat.descriptive.moment.Mean mean20 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean17);
    org.apache.commons.math.stat.descriptive.moment.Mean mean21 = mean20.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean22 = mean21.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean23 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean23, mean24);
    org.apache.commons.math.stat.descriptive.moment.Mean mean26 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean26, mean27);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean23, mean26);
    org.apache.commons.math.stat.descriptive.moment.Mean mean30 = mean26.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean22, mean30);
    long long32 = mean30.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean mean33 = mean30.copy();
    boolean b34 = mean15.equals((java.lang.Object)mean30);
    mean30.increment(0.49714987269413385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test080"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean1, mean2);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean5);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean1, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean9);
    mean9.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean1, mean9);
    mean1.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean16);
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = mean16.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment21, secondMoment25);
    boolean b30 = secondMoment25.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment33);
    variance35.clear();
    variance35.increment(100.0d);
    double d39 = variance35.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment40);
    org.apache.commons.math.stat.descriptive.moment.Variance variance42 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment40);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance35, variance42);
    double[] d_array45 = new double[] { 0.0d };
    double d46 = variance42.evaluate(d_array45);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment48 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment48);
    org.apache.commons.math.stat.descriptive.moment.Variance variance50 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment48);
    variance50.clear();
    variance50.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment55 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment56 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment55);
    org.apache.commons.math.stat.descriptive.moment.Variance variance57 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment55);
    variance57.clear();
    variance57.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance50, variance57);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance42, variance50);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment62 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment63 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment62);
    long long64 = secondMoment63.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment66 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment67 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment66);
    org.apache.commons.math.stat.descriptive.moment.Variance variance68 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment66);
    variance68.clear();
    variance68.increment(100.0d);
    double d72 = variance68.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment73 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment74 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment73);
    org.apache.commons.math.stat.descriptive.moment.Variance variance75 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment73);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance68, variance75);
    double[] d_array78 = new double[] { 0.0d };
    double d79 = variance75.evaluate(d_array78);
    double d80 = secondMoment63.evaluate(d_array78);
    double d83 = variance42.evaluate(d_array78, 0, 1);
    double d85 = variance31.evaluate(d_array78, (-0.6619304437603319d));
    mean18.incrementAll(d_array78);
    mean18.clear();
    double d88 = mean18.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d88, Double.NaN, 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test081"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.8304425852618834d, 0.4241896240263546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.615666959427136d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test082"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1023, (-1023));
    int i3 = dimensionMismatchException2.getDimension();
    int i4 = dimensionMismatchException2.getDimension();
    java.lang.Number number5 = dimensionMismatchException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1023+ "'", number5.equals(1023));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test083"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    sum10.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum10);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = sum16.copy();
    long long18 = sum16.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum16);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum10, sum16);
    long long21 = sum10.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = sum10.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = sum23.copy();
    long long25 = sum23.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum26 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum27 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = sum27.copy();
    long long29 = sum27.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum30 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum27);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum23, sum27);
    org.apache.commons.math.stat.descriptive.summary.Sum sum32 = sum23.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum10, sum32);
    org.apache.commons.math.stat.descriptive.summary.Sum sum34 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum35 = sum34.copy();
    sum35.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = sum35.copy();
    long long38 = sum35.getN();
    sum35.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum40 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum41 = sum40.copy();
    sum41.increment(3.141592653589793d);
    double[] d_array46 = new double[] { 100.0d, 10.0d };
    sum41.incrementAll(d_array46);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment48 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment48);
    org.apache.commons.math.stat.descriptive.moment.Variance variance50 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment48);
    secondMoment48.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum52 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum53 = sum52.copy();
    long long54 = sum52.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum55 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum52);
    org.apache.commons.math.stat.descriptive.summary.Sum sum56 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum57 = sum56.copy();
    long long58 = sum56.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum59 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum56);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum52, sum56);
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException65 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable61, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number66 = numberIsTooSmallException65.getArgument();
    boolean b67 = sum56.equals((java.lang.Object)number66);
    double d68 = sum56.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum69 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum70 = sum69.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum71 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum69);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment73 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment74 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment73);
    org.apache.commons.math.stat.descriptive.moment.Variance variance75 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment73);
    org.apache.commons.math.stat.descriptive.summary.Sum sum76 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum77 = sum76.copy();
    sum77.increment(3.141592653589793d);
    double[] d_array82 = new double[] { 100.0d, 10.0d };
    sum77.incrementAll(d_array82);
    double d85 = variance75.evaluate(d_array82, 1.0d);
    double d86 = sum69.evaluate(d_array82);
    sum56.incrementAll(d_array82);
    double d88 = secondMoment48.evaluate(d_array82);
    double d89 = sum35.evaluate(d_array46, d_array82);
    double[] d_array90 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d93 = sum10.evaluate(d_array46, d_array90, (-5), (-8));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long54 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number66 + "' != '" + 10L+ "'", number66.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 10100.0d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test084"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    sum5.increment(3.141592653589793d);
    double[] d_array10 = new double[] { 100.0d, 10.0d };
    sum5.incrementAll(d_array10);
    double d13 = variance3.evaluate(d_array10, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment15);
    variance17.clear();
    variance17.increment(100.0d);
    double d21 = variance17.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance17, variance24);
    long long26 = variance17.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment28);
    variance30.clear();
    variance30.increment(100.0d);
    variance30.increment(0.6557942026326724d);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance17, variance30);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance17);
    org.apache.commons.math.stat.descriptive.moment.Mean mean38 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean39 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean38, mean39);
    org.apache.commons.math.stat.descriptive.moment.Mean mean41 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean42 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean41, mean42);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean38, mean41);
    org.apache.commons.math.stat.descriptive.moment.Mean mean45 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean46 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean45, mean46);
    mean46.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean38, mean46);
    mean38.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean53 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean54 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean53, mean54);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment57);
    org.apache.commons.math.stat.descriptive.moment.Variance variance59 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment57);
    variance59.clear();
    variance59.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum62 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum63 = sum62.copy();
    sum63.increment(3.141592653589793d);
    double[] d_array68 = new double[] { 100.0d, 10.0d };
    sum63.incrementAll(d_array68);
    double d70 = variance59.evaluate(d_array68);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment72 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment73 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment72);
    org.apache.commons.math.stat.descriptive.moment.Variance variance74 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum76 = sum75.copy();
    sum76.increment(3.141592653589793d);
    double[] d_array81 = new double[] { 100.0d, 10.0d };
    sum76.incrementAll(d_array81);
    double d84 = variance74.evaluate(d_array81, 1.0d);
    double d85 = mean53.evaluate(d_array68, d_array81);
    double d86 = mean38.evaluate(d_array81);
    variance3.setData(d_array81);
    org.apache.commons.math.stat.descriptive.moment.Variance variance88 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 55.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test085"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    boolean b7 = variance5.equals((java.lang.Object)2.6479617484711886d);
    variance5.increment((-0.2723414689118316d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test086"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    variance6.clear();
    variance6.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    double[] d_array15 = new double[] { 100.0d, 10.0d };
    sum10.incrementAll(d_array15);
    double d17 = variance6.evaluate(d_array15);
    double d18 = variance2.evaluate(d_array15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = variance2.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = variance19.copy();
    // The following exception was thrown during execution in test generation
    try {
      double d21 = variance19.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance20);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test087"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-51.176026042520036d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.950237271604369E-23d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test088"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.4349955419738682d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4103064072080161d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test089"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test090"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)5.693644666513335d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test091"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    mean5.increment(0.09042471952724754d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment14);
    variance16.clear();
    variance16.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = sum19.copy();
    sum20.increment(3.141592653589793d);
    double[] d_array25 = new double[] { 100.0d, 10.0d };
    sum20.incrementAll(d_array25);
    double d27 = variance16.evaluate(d_array25);
    secondMoment10.incrementAll(d_array25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment30);
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment30);
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment30);
    secondMoment30.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment36 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment36);
    org.apache.commons.math.stat.descriptive.moment.Variance variance38 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment36);
    variance38.clear();
    variance38.increment(100.0d);
    double d42 = variance38.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.Variance variance45 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance38, variance45);
    double[] d_array48 = new double[] { 0.0d };
    double d49 = variance45.evaluate(d_array48);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment51 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment51);
    org.apache.commons.math.stat.descriptive.moment.Variance variance53 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment51);
    variance53.clear();
    variance53.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment59 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment58);
    org.apache.commons.math.stat.descriptive.moment.Variance variance60 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment58);
    variance60.clear();
    variance60.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance53, variance60);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance45, variance53);
    double[] d_array66 = new double[] { 1.0d };
    double[] d_array68 = new double[] { 10.0d };
    double d70 = variance45.evaluate(d_array66, d_array68, 0.0d);
    double d73 = secondMoment30.evaluate(d_array68, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d76 = mean5.evaluate(d_array25, d_array68, (-64), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d73, Double.NaN, 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test092"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0f), (java.lang.Number)1.6153077393895678d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.6153077393895678d+ "'", number5.equals(1.6153077393895678d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test093"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.8218419767999502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.162466208094701d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test094"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.910973312839383d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test095"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = mean0.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean6);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = mean5.copy();
    mean8.increment(110.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean12);
    org.apache.commons.math.stat.descriptive.moment.Mean mean14 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean14, mean15);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean14);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment20);
    variance23.setBiasCorrected(false);
    double[] d_array26 = variance23.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment28);
    variance30.clear();
    double[] d_array32 = new double[] {  };
    double d33 = variance30.evaluate(d_array32);
    variance23.setData(d_array32);
    mean11.setData(d_array32);
    mean8.incrementAll(d_array32);
    // The following exception was thrown during execution in test generation
    try {
      double d39 = mean4.evaluate(d_array32, (-1), 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.7724736696898774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.013482208921051486d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test097"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    double[] d_array6 = new double[] { 100.0d, 10.0d };
    sum1.incrementAll(d_array6);
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum8.copy();
    sum9.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = sum9.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = sum12.copy();
    sum13.increment(3.141592653589793d);
    sum13.increment(2025.0d);
    boolean b18 = sum11.equals((java.lang.Object)sum13);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum1, sum13);
    double[] d_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = sum13.evaluate(d_array20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test098"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean4.copy();
    long long6 = mean4.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = mean8.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean12);
    mean12.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean12);
    org.apache.commons.math.stat.descriptive.moment.Mean mean17 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean17, mean18);
    org.apache.commons.math.stat.descriptive.moment.Mean mean20 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean17);
    org.apache.commons.math.stat.descriptive.moment.Mean mean21 = mean20.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean22 = mean21.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean23 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean23, mean24);
    org.apache.commons.math.stat.descriptive.moment.Mean mean26 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean26, mean27);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean23, mean26);
    org.apache.commons.math.stat.descriptive.moment.Mean mean30 = mean26.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean22, mean30);
    long long32 = mean30.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean30);
    org.apache.commons.math.stat.descriptive.summary.Sum sum34 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum35 = sum34.copy();
    sum35.increment(3.141592653589793d);
    double[] d_array40 = new double[] { 100.0d, 10.0d };
    sum35.incrementAll(d_array40);
    double[] d_array42 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d43 = mean30.evaluate(d_array40, d_array42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test099"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.4711276743037347d, 1.64733851535243d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.64733851535243d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test100"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(5.000001f, 320);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test101"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    double[] d_array5 = sum4.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array5);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test102"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.05483113556160754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.7401010350358421d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2027946520649986d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test104"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(2.8E-45f, 9.306943613116555d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.2E-45f);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(81.83268244471867d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test106"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test107"); }


    long long2 = org.apache.commons.math.util.FastMath.min(3L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test108"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test109"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.47735379848653336d, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test110"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(4.8357033E24f, 0.22945634368985462d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.835703E24f);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test111"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment5);
    variance7.clear();
    variance7.increment(100.0d);
    double d11 = variance7.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean12, mean13);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean15, mean16);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean12, mean15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment20);
    variance22.clear();
    variance22.increment(100.0d);
    double d26 = variance22.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance22, variance29);
    double[] d_array32 = new double[] { 0.0d };
    double d33 = variance29.evaluate(d_array32);
    mean15.incrementAll(d_array32);
    double d36 = variance7.evaluate(d_array32, 0.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment38 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment38);
    org.apache.commons.math.stat.descriptive.moment.Variance variance40 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment38);
    long long41 = secondMoment38.getN();
    secondMoment38.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.Variance variance46 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment44);
    variance46.clear();
    variance46.increment(100.0d);
    double d50 = variance46.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment51 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment51);
    org.apache.commons.math.stat.descriptive.moment.Variance variance53 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment51);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance46, variance53);
    double[] d_array56 = new double[] { 0.0d };
    double d57 = variance53.evaluate(d_array56);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment59 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment60 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment59);
    org.apache.commons.math.stat.descriptive.moment.Variance variance61 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment59);
    variance61.clear();
    variance61.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment66 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment67 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment66);
    org.apache.commons.math.stat.descriptive.moment.Variance variance68 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment66);
    variance68.clear();
    variance68.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance61, variance68);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance53, variance61);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment73 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment74 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment73);
    long long75 = secondMoment74.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment77 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment78 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment77);
    org.apache.commons.math.stat.descriptive.moment.Variance variance79 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment77);
    variance79.clear();
    variance79.increment(100.0d);
    double d83 = variance79.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment84 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment85 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment84);
    org.apache.commons.math.stat.descriptive.moment.Variance variance86 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment84);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance79, variance86);
    double[] d_array89 = new double[] { 0.0d };
    double d90 = variance86.evaluate(d_array89);
    double d91 = secondMoment74.evaluate(d_array89);
    double d94 = variance53.evaluate(d_array89, 0, 1);
    secondMoment38.incrementAll(d_array89);
    // The following exception was thrown during execution in test generation
    try {
      double d99 = variance3.evaluate(d_array32, d_array89, 1.233665780807258d, 58, (-17));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long41 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long75 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d83, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test112"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.710432690170191d, 1.2561625532171508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.650861636018319d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test113"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(11.294825448999884d, 0.15265079164606046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0013331328085904315d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test114"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    double[] d_array13 = new double[] { 0.0d };
    double d14 = variance10.evaluate(d_array13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    variance18.clear();
    variance18.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment23);
    variance25.clear();
    variance25.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance18, variance25);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance10, variance18);
    double[] d_array31 = new double[] { 1.0d };
    double[] d_array33 = new double[] { 10.0d };
    double d35 = variance10.evaluate(d_array31, d_array33, 0.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance10);
    variance10.increment(0.14112000805986724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test115"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = mean3.copy();
    double d9 = mean8.getResult();
    long long10 = mean8.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test116"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.8806182483195891d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2111881843941588d));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test117"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    secondMoment1.clear();
    long long3 = secondMoment1.getN();
    secondMoment1.increment(0.16347228471201988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test118"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.0513745483439723d, 1.9269784604530356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4994648553949851d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test119"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(4.042790433341276d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.042790433341276d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test120"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.47952548922775484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4795254892277549d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test121"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.8814812841741141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8814812841741141d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test122"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    long long7 = variance3.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test123"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(4.0564817E31f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test124"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    variance6.clear();
    variance6.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    double[] d_array15 = new double[] { 100.0d, 10.0d };
    sum10.incrementAll(d_array15);
    double d17 = variance6.evaluate(d_array15);
    secondMoment0.incrementAll(d_array15);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException();
    boolean b20 = secondMoment0.equals((java.lang.Object)nullArgumentException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException24 = new org.apache.commons.math.exception.DimensionMismatchException(localizable21, (-4), 50);
    nullArgumentException19.addSuppressed((java.lang.Throwable)dimensionMismatchException24);
    int i26 = dimensionMismatchException24.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 50);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test125"); }


    float f2 = org.apache.commons.math.util.FastMath.max(4.835703E24f, 50.000008f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.835703E24f);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test126"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    long long7 = mean5.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean9);
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean12);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean11);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean15, mean16);
    mean16.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean16);
    mean8.increment(0.0d);
    mean8.clear();
    double[] d_array24 = mean8.getData();
    org.apache.commons.math.stat.descriptive.moment.Mean mean25 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean8);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean8);
    mean8.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array24);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test127"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test128"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum0.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment12);
    variance15.setBiasCorrected(false);
    double[] d_array18 = variance15.getData();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = sum19.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum21 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment24, secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment33);
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = sum36.copy();
    sum37.increment(3.141592653589793d);
    double[] d_array42 = new double[] { 100.0d, 10.0d };
    sum37.incrementAll(d_array42);
    double d45 = variance35.evaluate(d_array42, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment46);
    org.apache.commons.math.stat.descriptive.moment.Variance variance48 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment46);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance35, variance48);
    variance48.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean52 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean53 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean52, mean53);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment56 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment56);
    org.apache.commons.math.stat.descriptive.moment.Variance variance58 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment56);
    variance58.clear();
    variance58.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum61 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum62 = sum61.copy();
    sum62.increment(3.141592653589793d);
    double[] d_array67 = new double[] { 100.0d, 10.0d };
    sum62.incrementAll(d_array67);
    double d69 = variance58.evaluate(d_array67);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment71 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment72 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment71);
    org.apache.commons.math.stat.descriptive.moment.Variance variance73 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment71);
    org.apache.commons.math.stat.descriptive.summary.Sum sum74 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = sum74.copy();
    sum75.increment(3.141592653589793d);
    double[] d_array80 = new double[] { 100.0d, 10.0d };
    sum75.incrementAll(d_array80);
    double d83 = variance73.evaluate(d_array80, 1.0d);
    double d84 = mean52.evaluate(d_array67, d_array80);
    double d85 = variance48.evaluate(d_array80);
    secondMoment24.incrementAll(d_array80);
    sum19.setData(d_array80);
    double d89 = variance15.evaluate(d_array80, 11013.232874703393d);
    double d92 = sum0.evaluate(d_array80, 2147483647, 105);
    org.apache.commons.math.stat.descriptive.summary.Sum sum93 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum94 = sum93.copy();
    sum94.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum96 = sum94.copy();
    sum96.clear();
    long long98 = sum96.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long98 == 0L);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test129"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 23);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test130"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.625f, 0.2543910656899355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.62499994f);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test131"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    long long4 = secondMoment3.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    variance8.clear();
    variance8.increment(100.0d);
    double d12 = variance8.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance8, variance15);
    double[] d_array18 = new double[] { 0.0d };
    double d19 = variance15.evaluate(d_array18);
    double d20 = secondMoment3.evaluate(d_array18);
    secondMoment1.setData(d_array18);
    secondMoment1.increment(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test132"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-4), 50);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.5707963267948966d, (java.lang.Number)0.5001138966722573d, false);
    java.lang.Number number7 = numberIsTooLargeException6.getMax();
    boolean b8 = numberIsTooLargeException6.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array9 = numberIsTooLargeException6.getSuppressed();
    java.lang.String str10 = numberIsTooLargeException6.toString();
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)numberIsTooLargeException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.5001138966722573d+ "'", number7.equals(0.5001138966722573d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: 1.571 is larger than, or equal to, the maximum (0.5)"+ "'", str10.equals("org.apache.commons.math.exception.NumberIsTooLargeException: 1.571 is larger than, or equal to, the maximum (0.5)"));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test133"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    variance3.increment(0.6557942026326724d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    variance12.clear();
    variance12.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment17);
    variance19.clear();
    variance19.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance12, variance19);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance12);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance12, variance30);
    double[] d_array32 = null;
    double[] d_array33 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = variance12.evaluate(d_array32, d_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test134"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    secondMoment1.increment((-0.7853981633974483d));
    secondMoment1.clear();
    double d7 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    double[] d_array12 = new double[] { 1.0d };
    double d13 = secondMoment1.evaluate(d_array12);
    java.lang.Object obj14 = null;
    boolean b15 = secondMoment1.equals(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test135"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.26057994374712745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2548378935581646d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test136"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7615941559557649d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test137"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.011552865662804949d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.011552608673516736d));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test138"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    variance9.clear();
    variance9.increment(100.0d);
    double d13 = variance9.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance9, variance16);
    double[] d_array19 = new double[] { 0.0d };
    double d20 = variance16.evaluate(d_array19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    variance24.clear();
    variance24.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment29);
    variance31.clear();
    variance31.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance24, variance31);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance16, variance24);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 10.0d };
    double d41 = variance16.evaluate(d_array37, d_array39, 0.0d);
    secondMoment1.setData(d_array39);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.Variance variance46 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment44);
    secondMoment44.increment((-0.7853981633974483d));
    secondMoment44.clear();
    double d50 = secondMoment44.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance51 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    double[] d_array55 = new double[] { 1.0d };
    double d56 = secondMoment44.evaluate(d_array55);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment59 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment58);
    org.apache.commons.math.stat.descriptive.moment.Variance variance60 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment58);
    secondMoment58.increment((-0.7853981633974483d));
    secondMoment58.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment44, secondMoment58);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment1, secondMoment44);
    secondMoment1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test139"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    secondMoment1.clear();
    long long3 = secondMoment1.getN();
    double d4 = secondMoment1.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test140"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)10L, (java.lang.Number)(byte)(-1), true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)(-1)+ "'", number5.equals((byte)(-1)));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test141"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)4049.9997530864034d, (java.lang.Number)0.40203075964805834d, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.40203075964805834d+ "'", number4.equals(0.40203075964805834d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.40203075964805834d+ "'", number5.equals(0.40203075964805834d));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test142"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    variance3.setBiasCorrected(false);
    variance3.setBiasCorrected(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test143"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.293827727509904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.293827727509904d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test144"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum1.copy();
    long long4 = sum3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum3.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = sum3.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum6);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test145"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment10, secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment19);
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = sum22.copy();
    sum23.increment(3.141592653589793d);
    double[] d_array28 = new double[] { 100.0d, 10.0d };
    sum23.incrementAll(d_array28);
    double d31 = variance21.evaluate(d_array28, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance21, variance34);
    variance34.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean38 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean39 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean38, mean39);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment42 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment42);
    org.apache.commons.math.stat.descriptive.moment.Variance variance44 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment42);
    variance44.clear();
    variance44.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum48 = sum47.copy();
    sum48.increment(3.141592653589793d);
    double[] d_array53 = new double[] { 100.0d, 10.0d };
    sum48.incrementAll(d_array53);
    double d55 = variance44.evaluate(d_array53);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment57);
    org.apache.commons.math.stat.descriptive.moment.Variance variance59 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment57);
    org.apache.commons.math.stat.descriptive.summary.Sum sum60 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum61 = sum60.copy();
    sum61.increment(3.141592653589793d);
    double[] d_array66 = new double[] { 100.0d, 10.0d };
    sum61.incrementAll(d_array66);
    double d69 = variance59.evaluate(d_array66, 1.0d);
    double d70 = mean38.evaluate(d_array53, d_array66);
    double d71 = variance34.evaluate(d_array66);
    secondMoment10.incrementAll(d_array66);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment74 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment75 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment74);
    org.apache.commons.math.stat.descriptive.moment.Variance variance76 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment74);
    org.apache.commons.math.stat.descriptive.summary.Sum sum77 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum78 = sum77.copy();
    sum78.increment(3.141592653589793d);
    double[] d_array83 = new double[] { 100.0d, 10.0d };
    sum78.incrementAll(d_array83);
    double d86 = variance76.evaluate(d_array83, 1.0d);
    double d87 = mean6.evaluate(d_array66, d_array83);
    org.apache.commons.math.stat.descriptive.moment.Mean mean88 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean6);
    org.apache.commons.math.stat.descriptive.moment.Mean mean89 = mean88.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean89);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test146"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(0.625f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test147"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.31918830291094497d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3140028090915498d));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test148"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    boolean b11 = secondMoment6.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = secondMoment6.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test149"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.5579295980505914d, (java.lang.Number)0.3159055165885536d, false);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test150"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.0492680666120053d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test151"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.8492153824296347d, (-0.3094682437026747d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8492153824296346d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test152"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    double[] d_array3 = secondMoment1.getData();
    secondMoment1.increment(0.0d);
    secondMoment1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test153"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.8050411222998486d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test154"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(5.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.0000014f);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test155"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test156"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    mean5.increment(0.09042471952724754d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean10 = mean5.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean12);
    org.apache.commons.math.stat.descriptive.moment.Mean mean14 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean14, mean15);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean14);
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean19 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean18, mean19);
    mean19.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean19);
    mean11.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean26 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean11);
    long long27 = mean26.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean26);
    org.apache.commons.math.stat.descriptive.moment.Mean mean29 = mean5.copy();
    mean29.increment(0.5928937221617672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean29);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.004987358584001714d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.004999836963549563d));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test158"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    double d3 = sum0.getResult();
    sum0.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = variance9.copy();
    boolean b11 = variance10.isBiasCorrected();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment13);
    variance15.clear();
    variance15.increment(100.0d);
    double d19 = variance15.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance15, variance22);
    double[] d_array25 = new double[] { 0.0d };
    double d26 = variance22.evaluate(d_array25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment28);
    variance30.clear();
    variance30.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment36 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment35);
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment35);
    variance37.clear();
    variance37.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance30, variance37);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance22, variance30);
    double[] d_array43 = new double[] { 1.0d };
    double[] d_array45 = new double[] { 10.0d };
    double d47 = variance22.evaluate(d_array43, d_array45, 0.0d);
    variance10.setData(d_array43);
    // The following exception was thrown during execution in test generation
    try {
      double d51 = sum5.evaluate(d_array43, (-23), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test159"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(7.629395E-6f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.5E-44f);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test160"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 269L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-81.2136537820173d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test162"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(6.3382535E31f, 4.835704E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.3382535E31f);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test163"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    long long13 = secondMoment10.getN();
    secondMoment10.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment16);
    secondMoment16.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    variance24.clear();
    variance24.increment(100.0d);
    double d28 = variance24.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance24, variance31);
    double[] d_array34 = new double[] { 0.0d };
    double d35 = variance31.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment38 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment37);
    org.apache.commons.math.stat.descriptive.moment.Variance variance39 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment37);
    variance39.clear();
    variance39.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.Variance variance46 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment44);
    variance46.clear();
    variance46.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance39, variance46);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance31, variance39);
    double[] d_array52 = new double[] { 1.0d };
    double[] d_array54 = new double[] { 10.0d };
    double d56 = variance31.evaluate(d_array52, d_array54, 0.0d);
    double d59 = secondMoment16.evaluate(d_array54, 0, 0);
    secondMoment10.setData(d_array54);
    mean3.incrementAll(d_array54);
    // The following exception was thrown during execution in test generation
    try {
      double d62 = mean3.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test164"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)116023.9535139917d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test165"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.011552608673516736d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.011553122648662546d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test166"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment8);
    variance10.clear();
    variance10.increment(100.0d);
    double d14 = variance10.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance10, variance17);
    double[] d_array20 = new double[] { 0.0d };
    double d21 = variance17.evaluate(d_array20);
    mean3.incrementAll(d_array20);
    double d23 = mean3.getResult();
    mean3.increment(116023.9535139917d);
    double[] d_array26 = mean3.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array26);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.5048873178551829d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test168"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.009840220751864725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009839903160972994d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test169"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.2402995113224999d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test170"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean4.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean6, mean7);
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean10 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean9, mean10);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean6, mean9);
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = mean9.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean13);
    double d15 = mean13.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test171"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.4516071436688785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4516071436688785d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test172"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.7856772098970535d, (java.lang.Number)4.2E-45f, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 4.2E-45f+ "'", number5.equals(4.2E-45f));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test173"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    double[] d_array15 = new double[] { 0.0d, 0.0d, 10.0d };
    double d16 = variance10.evaluate(d_array15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment18);
    variance20.clear();
    variance20.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = variance20.copy();
    variance23.clear();
    long long25 = variance23.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum26 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum27 = sum26.copy();
    sum27.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum27.copy();
    long long30 = sum27.getN();
    sum27.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum32 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum33 = sum32.copy();
    sum33.increment(3.141592653589793d);
    double[] d_array38 = new double[] { 100.0d, 10.0d };
    sum33.incrementAll(d_array38);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment40);
    org.apache.commons.math.stat.descriptive.moment.Variance variance42 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment40);
    secondMoment40.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum44 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = sum44.copy();
    long long46 = sum44.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum44);
    org.apache.commons.math.stat.descriptive.summary.Sum sum48 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = sum48.copy();
    long long50 = sum48.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum48);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum44, sum48);
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException57 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable53, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number58 = numberIsTooSmallException57.getArgument();
    boolean b59 = sum48.equals((java.lang.Object)number58);
    double d60 = sum48.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum61 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum62 = sum61.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum63 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum61);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment65 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment66 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment65);
    org.apache.commons.math.stat.descriptive.moment.Variance variance67 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment65);
    org.apache.commons.math.stat.descriptive.summary.Sum sum68 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum69 = sum68.copy();
    sum69.increment(3.141592653589793d);
    double[] d_array74 = new double[] { 100.0d, 10.0d };
    sum69.incrementAll(d_array74);
    double d77 = variance67.evaluate(d_array74, 1.0d);
    double d78 = sum61.evaluate(d_array74);
    sum48.incrementAll(d_array74);
    double d80 = secondMoment40.evaluate(d_array74);
    double d81 = sum27.evaluate(d_array38, d_array74);
    variance23.incrementAll(d_array74);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment84 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment85 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment84);
    org.apache.commons.math.stat.descriptive.moment.Variance variance86 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment84);
    secondMoment84.increment((-0.7853981633974483d));
    secondMoment84.clear();
    double d90 = secondMoment84.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance91 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment84);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment92 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment84);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment93 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment84);
    double[] d_array95 = new double[] { 1.0d };
    double d96 = secondMoment84.evaluate(d_array95);
    // The following exception was thrown during execution in test generation
    try {
      double d99 = variance10.evaluate(d_array74, d_array95, 320, (-24));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 22.222222222222225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number58 + "' != '" + 10L+ "'", number58.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 10100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.0d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.1231172302041998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0824838622729254d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test175"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(false);
    variance1.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment6, secondMoment10);
    boolean b15 = secondMoment10.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    long long20 = secondMoment19.getN();
    double d21 = secondMoment19.getResult();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = secondMoment19.copy();
    boolean b23 = variance17.equals((java.lang.Object)storelessUnivariateStatistic22);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance1, variance17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test176"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.15509412371474135d, (java.lang.Number)(-0.34188107179450705d), false);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test177"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(200.00002f, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.001525879f);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test178"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.9512773150038412d, 5.693644666513335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 44.97521010464567d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test179"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(4.9E-324d);
    double d5 = mean1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean1);
    double[] d_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = mean6.evaluate(d_array7, (-17), 105);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 4.9E-324d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test180"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(27.795507591808153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4439746093804608d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test181"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-127), 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-127));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test182"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.1677678705824346d, (java.lang.Number)81.83268244471867d, true);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test183"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    sum0.clear();
    long long5 = sum0.getN();
    sum0.increment(2.1239231837213715d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test184"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array6);
    boolean b8 = sum4.equals((java.lang.Object)obj_array6);
    sum4.increment(0.490378878757816d);
    long long11 = sum4.getN();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException16 = new org.apache.commons.math.exception.DimensionMismatchException(localizable13, 0, 1);
    int i17 = dimensionMismatchException16.getDimension();
    java.lang.Throwable[] throwable_array18 = dimensionMismatchException16.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException(localizable12, (java.lang.Object[])throwable_array18);
    boolean b20 = sum4.equals((java.lang.Object)localizable12);
    org.apache.commons.math.stat.descriptive.summary.Sum sum21 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment23);
    variance25.clear();
    variance25.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum28.copy();
    sum29.increment(3.141592653589793d);
    double[] d_array34 = new double[] { 100.0d, 10.0d };
    sum29.incrementAll(d_array34);
    double d36 = variance25.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment38 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment38);
    org.apache.commons.math.stat.descriptive.moment.Variance variance40 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment38);
    variance40.clear();
    variance40.increment(100.0d);
    double d44 = variance40.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment45);
    org.apache.commons.math.stat.descriptive.moment.Variance variance47 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment45);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance40, variance47);
    double[] d_array52 = new double[] { 0.0d, 0.0d, 10.0d };
    double d53 = variance47.evaluate(d_array52);
    // The following exception was thrown during execution in test generation
    try {
      double d56 = sum21.evaluate(d_array34, d_array52, 59, 1023);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 22.222222222222225d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test185"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-23), 0);
    int i3 = dimensionMismatchException2.getDimension();
    int i4 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test186"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = mean0.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean6);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean9);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean8);
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean12, mean13);
    mean13.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean13);
    mean5.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean20 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    org.apache.commons.math.stat.descriptive.moment.Mean mean21 = mean20.copy();
    mean21.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean21);
    long long24 = mean4.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 0L);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test187"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.increment(0.9856580380191058d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test188"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    double d4 = sum3.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test189"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum4);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException13 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable9, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number14 = numberIsTooSmallException13.getArgument();
    boolean b15 = sum4.equals((java.lang.Object)number14);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 10L+ "'", number14.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test190"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.6261431468677289d);
    java.lang.Number number3 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.6261431468677289d+ "'", number3.equals(0.6261431468677289d));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test191"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.4505495340698077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.36272215051111745d));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test192"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-23), 0);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.7446574987190144d, (java.lang.Number)(-0.7853981633974483d), true);
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)numberIsTooLargeException6);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test193"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.8242458589994947d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test194"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.2543910656899355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2543910656899355d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test195"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    mean5.clear();
    mean5.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean mean10 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test196"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.3094682437026746d), (java.lang.Number)2.1742876739499506d, false);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math.exception.DimensionMismatchException((-4), 50);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)dimensionMismatchException7);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test197"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(10100.0d, (-0.30424711501200485d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-10100.0d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test198"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    long long13 = mean8.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test199"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.710432690170191d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6109480897964166d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test200"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum4);
    sum3.increment(0.15156283651453492d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = sum11.copy();
    long long13 = sum11.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum11);
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = sum15.copy();
    long long17 = sum15.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum18 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum15);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum11, sum15);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable20, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number25 = numberIsTooSmallException24.getArgument();
    boolean b26 = sum15.equals((java.lang.Object)number25);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum15);
    long long28 = sum3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum3.copy();
    boolean b31 = sum29.equals((java.lang.Object)0.05483113556160755d);
    double d32 = sum29.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum33 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum34 = sum33.copy();
    long long35 = sum33.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum33);
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = sum37.copy();
    long long39 = sum37.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum40 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum37);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum33, sum37);
    org.apache.commons.math.stat.descriptive.summary.Sum sum42 = sum33.copy();
    sum42.increment(0.09042471952724754d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum29, sum42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 10L+ "'", number25.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.15156283651453492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum42);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test201"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    variance6.clear();
    variance6.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    double[] d_array15 = new double[] { 100.0d, 10.0d };
    sum10.incrementAll(d_array15);
    double d17 = variance6.evaluate(d_array15);
    double d18 = variance2.evaluate(d_array15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = variance2.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment22);
    secondMoment22.increment(0.8036440837285719d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum30 = sum29.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum31 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment33);
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = sum36.copy();
    sum37.increment(3.141592653589793d);
    double[] d_array42 = new double[] { 100.0d, 10.0d };
    sum37.incrementAll(d_array42);
    double d45 = variance35.evaluate(d_array42, 1.0d);
    double d46 = sum29.evaluate(d_array42);
    secondMoment22.setData(d_array42);
    // The following exception was thrown during execution in test generation
    try {
      double d50 = variance2.evaluate(d_array42, 0, (-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 110.0d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test202"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 0.27862111770789755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test203"); }


    long long2 = org.apache.commons.math.util.FastMath.min(100L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test204"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum3);
    double[] d_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = sum3.evaluate(d_array5, 100, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test205"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    double[] d_array8 = mean5.getData();
    mean5.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array8);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test206"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.7738372462061719d, 0.4103064072080161d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0832635651255267d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test207"); }


    long long2 = org.apache.commons.math.util.FastMath.max(269L, 8L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 269L);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test208"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    double[] d_array5 = new double[] {  };
    double d6 = variance3.evaluate(d_array5);
    variance3.increment(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test209"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(5.180954792565484d, 8.30671904320269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.180954792565484d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test210"); }


    long long2 = org.apache.commons.math.util.FastMath.max(92L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 92L);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test211"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    mean0.clear();
    double[] d_array16 = mean0.getData();
    org.apache.commons.math.stat.descriptive.moment.Mean mean17 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    long long19 = mean18.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean mean20 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean21 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean20, mean21);
    org.apache.commons.math.stat.descriptive.moment.Mean mean23 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean23, mean24);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean20, mean23);
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean28 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean27, mean28);
    mean28.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean20, mean28);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean18, mean20);
    mean20.increment(1.136199349164156d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean36 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean37 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean36, mean37);
    mean37.increment(1.4711276743037347d);
    mean37.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean20, mean37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test212"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 50);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test213"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20.085536923187668d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test214"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    double[] d_array6 = new double[] { 100.0d, 10.0d };
    sum1.incrementAll(d_array6);
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum8.copy();
    sum9.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = sum9.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = sum12.copy();
    sum13.increment(3.141592653589793d);
    sum13.increment(2025.0d);
    boolean b18 = sum11.equals((java.lang.Object)sum13);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum1, sum13);
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum13);
    long long21 = sum13.getN();
    long long22 = sum13.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = sum13.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum23);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test215"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.1920932E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test216"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    double[] d_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = mean1.evaluate(d_array5, (-1), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test217"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.3094682437026747d), number2, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math.exception.DimensionMismatchException((-6), 58);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.48131369501958143d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test219"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = sum0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum4);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test220"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(5.9604645E-8f, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test221"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d1 = secondMoment0.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment4, secondMoment8);
    secondMoment8.clear();
    double d13 = secondMoment8.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    long long16 = secondMoment15.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment18);
    variance20.clear();
    variance20.increment(100.0d);
    double d24 = variance20.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance20, variance27);
    double[] d_array30 = new double[] { 0.0d };
    double d31 = variance27.evaluate(d_array30);
    double d32 = secondMoment15.evaluate(d_array30);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment8, secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment0, secondMoment34);
    double[] d_array36 = secondMoment34.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array36);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test222"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test223"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    long long4 = secondMoment1.getN();
    secondMoment1.increment(2024.9999999999995d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test224"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = sum7.copy();
    long long9 = sum7.getN();
    double d10 = sum7.getResult();
    sum7.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum7);
    sum7.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean mean14 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean14, mean15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment18);
    variance20.clear();
    variance20.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = sum23.copy();
    sum24.increment(3.141592653589793d);
    double[] d_array29 = new double[] { 100.0d, 10.0d };
    sum24.incrementAll(d_array29);
    double d31 = variance20.evaluate(d_array29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment33);
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment33);
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = sum36.copy();
    sum37.increment(3.141592653589793d);
    double[] d_array42 = new double[] { 100.0d, 10.0d };
    sum37.incrementAll(d_array42);
    double d45 = variance35.evaluate(d_array42, 1.0d);
    double d46 = mean14.evaluate(d_array29, d_array42);
    sum7.incrementAll(d_array42);
    double d48 = mean6.evaluate(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 55.0d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test225"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.23260452774127782d), 0.06600923533404021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2326045277412778d));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test226"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    variance5.setBiasCorrected(false);
    double d8 = variance5.getResult();
    double d9 = variance5.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test227"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = mean15.copy();
    mean15.increment(5.6994101640465304d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean19 = mean15.copy();
    double[] d_array20 = null;
    double[] d_array21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d24 = mean19.evaluate(d_array20, d_array21, (-8), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean19);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test228"); }


    long long2 = org.apache.commons.math.util.FastMath.max(8L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.3094682437026746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5562987000727888d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(2.189560733490776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test231"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.037822768024648346d), (java.lang.Number)0.9914197335850893d, true);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test232"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-3), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.05483113556160754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05485861423451885d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(89.26279074681165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.838986358573414E38d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test235"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 3, 100);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1023, (java.lang.Number)10.0f, true);
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);
    boolean b9 = numberIsTooSmallException7.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test236"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.3094682437026747d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test237"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = secondMoment2.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    long long5 = secondMoment2.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test238"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.051352043267613896d, 2.1450721690737238d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2570428436969269d));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test239"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    double[] d_array3 = secondMoment1.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    long long5 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment1, secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test240"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    double[] d_array3 = secondMoment1.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment1, secondMoment6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test241"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(2.7281679761200186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test242"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(4.5E-44f, 1.1920932E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.5E-44f);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(4049.9997530864034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 232047.8928808764d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test244"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(3, 59);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test245"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum1.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    sum5.increment(3.141592653589793d);
    sum5.increment(2025.0d);
    boolean b10 = sum3.equals((java.lang.Object)sum5);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = sum3.copy();
    sum3.increment(0.6324171234125372d);
    double d14 = sum3.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.6324171234125372d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test246"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean1, mean2);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean5);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean1, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean9);
    mean9.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean1, mean9);
    mean1.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean16);
    double d18 = mean16.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test247"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    long long3 = secondMoment1.getN();
    secondMoment1.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test248"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    variance5.clear();
    variance5.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    variance12.clear();
    variance12.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance5, variance12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = variance12.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance1, variance12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance16);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test249"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = secondMoment2.copy();
    double d4 = secondMoment2.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test250"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-15), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test251"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.652253400751606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7947180510193836d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test252"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 320.00003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test253"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    secondMoment1.increment((-0.7853981633974483d));
    secondMoment1.clear();
    double d7 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment13, secondMoment17);
    boolean b22 = secondMoment17.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = secondMoment17.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment1, secondMoment17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test254"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    double[] d_array3 = secondMoment1.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    long long5 = secondMoment1.getN();
    secondMoment1.increment(1.7862543695946516d);
    double[] d_array8 = secondMoment1.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array8);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test255"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    variance3.increment(0.6557942026326724d);
    variance3.clear();

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test256"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment5, secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment14);
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum18 = sum17.copy();
    sum18.increment(3.141592653589793d);
    double[] d_array23 = new double[] { 100.0d, 10.0d };
    sum18.incrementAll(d_array23);
    double d26 = variance16.evaluate(d_array23, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance16, variance29);
    variance29.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean33 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean34 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean33, mean34);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment38 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment37);
    org.apache.commons.math.stat.descriptive.moment.Variance variance39 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment37);
    variance39.clear();
    variance39.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum42 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum43 = sum42.copy();
    sum43.increment(3.141592653589793d);
    double[] d_array48 = new double[] { 100.0d, 10.0d };
    sum43.incrementAll(d_array48);
    double d50 = variance39.evaluate(d_array48);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment52);
    org.apache.commons.math.stat.descriptive.moment.Variance variance54 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment52);
    org.apache.commons.math.stat.descriptive.summary.Sum sum55 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum56 = sum55.copy();
    sum56.increment(3.141592653589793d);
    double[] d_array61 = new double[] { 100.0d, 10.0d };
    sum56.incrementAll(d_array61);
    double d64 = variance54.evaluate(d_array61, 1.0d);
    double d65 = mean33.evaluate(d_array48, d_array61);
    double d66 = variance29.evaluate(d_array61);
    secondMoment5.incrementAll(d_array61);
    sum0.setData(d_array61);
    double d69 = sum0.getResult();
    sum0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test257"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    double[] d_array13 = new double[] { 0.0d };
    double d14 = variance10.evaluate(d_array13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    variance18.clear();
    variance18.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment23);
    variance25.clear();
    variance25.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance18, variance25);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance10, variance18);
    variance10.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test258"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.2860021490135149d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5966209097693442d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test259"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    double d7 = mean0.getResult();
    mean0.increment(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test260"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.274685899688552d, 1.7862543695946518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.340627062729062d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test261"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    double[] d_array12 = new double[] {  };
    double d14 = variance10.evaluate(d_array12, 0.7071067811865476d);
    variance10.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment18);
    variance20.clear();
    variance20.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = variance20.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment26);
    variance29.setBiasCorrected(false);
    double[] d_array32 = variance29.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment34);
    variance36.clear();
    double[] d_array38 = new double[] {  };
    double d39 = variance36.evaluate(d_array38);
    variance29.setData(d_array38);
    double d41 = variance20.evaluate(d_array38);
    double[] d_array42 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d44 = variance10.evaluate(d_array38, d_array42, 1.7421068821991548d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test262"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.21859878974537972d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0239880107596326d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test263"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-127), 10);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException3.getSuppressed();
    java.lang.Number number6 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-127)+ "'", number6.equals((-127)));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test264"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment10, secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment19);
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = sum22.copy();
    sum23.increment(3.141592653589793d);
    double[] d_array28 = new double[] { 100.0d, 10.0d };
    sum23.incrementAll(d_array28);
    double d31 = variance21.evaluate(d_array28, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance21, variance34);
    variance34.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean38 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean39 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean38, mean39);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment42 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment42);
    org.apache.commons.math.stat.descriptive.moment.Variance variance44 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment42);
    variance44.clear();
    variance44.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum48 = sum47.copy();
    sum48.increment(3.141592653589793d);
    double[] d_array53 = new double[] { 100.0d, 10.0d };
    sum48.incrementAll(d_array53);
    double d55 = variance44.evaluate(d_array53);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment57);
    org.apache.commons.math.stat.descriptive.moment.Variance variance59 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment57);
    org.apache.commons.math.stat.descriptive.summary.Sum sum60 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum61 = sum60.copy();
    sum61.increment(3.141592653589793d);
    double[] d_array66 = new double[] { 100.0d, 10.0d };
    sum61.incrementAll(d_array66);
    double d69 = variance59.evaluate(d_array66, 1.0d);
    double d70 = mean38.evaluate(d_array53, d_array66);
    double d71 = variance34.evaluate(d_array66);
    secondMoment10.incrementAll(d_array66);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment74 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment75 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment74);
    org.apache.commons.math.stat.descriptive.moment.Variance variance76 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment74);
    org.apache.commons.math.stat.descriptive.summary.Sum sum77 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum78 = sum77.copy();
    sum78.increment(3.141592653589793d);
    double[] d_array83 = new double[] { 100.0d, 10.0d };
    sum78.incrementAll(d_array83);
    double d86 = variance76.evaluate(d_array83, 1.0d);
    double d87 = mean6.evaluate(d_array66, d_array83);
    double d88 = mean6.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean89 = mean6.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean90 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean89);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test265"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean4.copy();
    long long6 = mean4.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = mean8.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean12);
    mean12.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean12);
    org.apache.commons.math.stat.descriptive.moment.Mean mean17 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean17, mean18);
    org.apache.commons.math.stat.descriptive.moment.Mean mean20 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean17);
    org.apache.commons.math.stat.descriptive.moment.Mean mean21 = mean20.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean22 = mean21.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean23 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean23, mean24);
    org.apache.commons.math.stat.descriptive.moment.Mean mean26 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean26, mean27);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean23, mean26);
    org.apache.commons.math.stat.descriptive.moment.Mean mean30 = mean26.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean22, mean30);
    long long32 = mean30.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean30);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Number number36 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException38 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable34, (java.lang.Number)(-1.55405860854307d), number36, false);
    boolean b39 = mean4.equals((java.lang.Object)(-1.55405860854307d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test266"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.542613754632178d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.026923689104883436d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test267"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    double d7 = mean3.getResult();
    double d8 = mean3.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test268"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(2.086658196294489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.057942059363448d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test269"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = sum10.copy();
    sum11.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = sum11.copy();
    sum13.clear();
    long long15 = sum13.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment17);
    variance19.clear();
    variance19.increment(100.0d);
    double d23 = variance19.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance19, variance26);
    double[] d_array29 = new double[] { 0.0d };
    double d30 = variance26.evaluate(d_array29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment32);
    variance34.clear();
    variance34.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance variance41 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment39);
    variance41.clear();
    variance41.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance34, variance41);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance26, variance34);
    double[] d_array47 = new double[] { 1.0d };
    double[] d_array49 = new double[] { 10.0d };
    double d51 = variance26.evaluate(d_array47, d_array49, 0.0d);
    sum13.incrementAll(d_array49);
    sum9.setData(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test270"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable2, number3, (java.lang.Number)4050.0d, true);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test271"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment3, secondMoment7);
    long long11 = secondMoment7.getN();
    double d12 = secondMoment7.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment15);
    long long18 = secondMoment15.getN();
    secondMoment15.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment7, secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test272"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    sum9.increment(1.1888501633327673d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test274"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    variance3.increment(0.6557942026326724d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    variance12.clear();
    variance12.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment17);
    variance19.clear();
    variance19.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance12, variance19);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance12);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment25);
    long long28 = variance27.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance12, variance27);
    boolean b30 = variance27.isBiasCorrected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test275"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    double[] d_array5 = new double[] {  };
    double d6 = variance3.evaluate(d_array5);
    double d7 = variance3.getResult();
    variance3.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test276"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2025.0d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test277"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(4.155773612887457E-5d, (-1.538970890562367d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5530535.906113492d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test278"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum1.copy();
    long long4 = sum3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum3);
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = sum5.copy();
    double[] d_array7 = null;
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment10);
    secondMoment10.increment(0.8036440837285719d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum18 = sum17.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment21);
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = sum24.copy();
    sum25.increment(3.141592653589793d);
    double[] d_array30 = new double[] { 100.0d, 10.0d };
    sum25.incrementAll(d_array30);
    double d33 = variance23.evaluate(d_array30, 1.0d);
    double d34 = sum17.evaluate(d_array30);
    secondMoment10.setData(d_array30);
    // The following exception was thrown during execution in test generation
    try {
      double d38 = sum6.evaluate(d_array7, d_array30, 0, (-5));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 110.0d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test279"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = sum10.copy();
    sum11.increment(3.141592653589793d);
    double[] d_array16 = new double[] { 100.0d, 10.0d };
    sum11.incrementAll(d_array16);
    double d19 = variance9.evaluate(d_array16, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance9, variance22);
    variance22.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean26 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean26, mean27);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment30);
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment30);
    variance32.clear();
    variance32.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum35 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = sum35.copy();
    sum36.increment(3.141592653589793d);
    double[] d_array41 = new double[] { 100.0d, 10.0d };
    sum36.incrementAll(d_array41);
    double d43 = variance32.evaluate(d_array41);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment45);
    org.apache.commons.math.stat.descriptive.moment.Variance variance47 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment45);
    org.apache.commons.math.stat.descriptive.summary.Sum sum48 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = sum48.copy();
    sum49.increment(3.141592653589793d);
    double[] d_array54 = new double[] { 100.0d, 10.0d };
    sum49.incrementAll(d_array54);
    double d57 = variance47.evaluate(d_array54, 1.0d);
    double d58 = mean26.evaluate(d_array41, d_array54);
    double d59 = variance22.evaluate(d_array54);
    double d61 = variance5.evaluate(d_array54, (-0.3094682437026746d));
    double d62 = variance5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean63 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean64 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean65 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean64, mean65);
    org.apache.commons.math.stat.descriptive.moment.Mean mean67 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean68 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean67, mean68);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean64, mean67);
    org.apache.commons.math.stat.descriptive.moment.Mean mean71 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean72 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean71, mean72);
    mean72.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean64, mean72);
    mean64.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean79 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean64);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean63, mean79);
    boolean b81 = variance5.equals((java.lang.Object)mean79);
    mean79.increment((-0.1701640475725694d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 2024.9999999999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test280"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.49714987269413385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test281"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)91.81818181818181d);
    java.lang.Throwable[] throwable_array3 = notPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test282"); }


    int i2 = org.apache.commons.math.util.FastMath.min(24, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test283"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    secondMoment2.clear();
    long long4 = secondMoment2.getN();
    secondMoment2.clear();
    double d6 = secondMoment2.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test284"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.8806182483195891d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test285"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.8686709614860094d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6458418000431521d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test286"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.05483113556160754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2609727597150384d));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test288"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-1.2878134710704439d), (java.lang.Number)1.5703024996745452d, true);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test289"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.3094682437026747d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3094682437026747d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test290"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    secondMoment2.increment((-0.7853981633974483d));
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = variance11.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance7, variance11);
    boolean b14 = variance11.isBiasCorrected();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.3371310134241086d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8709814267758349d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test292"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.652253400751606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7792106405738334d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test293"); }


    int i2 = org.apache.commons.math.util.FastMath.min(5, 105);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test294"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    long long4 = secondMoment1.getN();
    secondMoment1.increment(2024.9999999999995d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum8.copy();
    sum9.increment(3.141592653589793d);
    double[] d_array14 = new double[] { 100.0d, 10.0d };
    sum9.incrementAll(d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = secondMoment7.evaluate(d_array14, (-64), (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test295"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(5.000001f, 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.3886096E7f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.5048873178551829d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.46754981491129194d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test297"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.4153589373974227d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.34738316493266536d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test298"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.1729865907034603d, (java.lang.Number)1.0513745483439723d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0513745483439723d+ "'", number4.equals(1.0513745483439723d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0513745483439723d+ "'", number5.equals(1.0513745483439723d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test299"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 10, 100);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    java.lang.Number number5 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10+ "'", number5.equals(10));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test300"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean6);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test301"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = mean3.copy();
    long long8 = mean7.getN();
    double d9 = mean7.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test302"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = sum3.copy();
    long long5 = sum3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum3);
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = sum7.copy();
    long long9 = sum7.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum7);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum7);
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = sum12.copy();
    sum13.increment(3.141592653589793d);
    sum13.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum13);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum3);
    sum0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum13);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test303"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.6192471123844373d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.46165039819798126d));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test304"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    mean5.increment(0.0d);
    mean5.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test305"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test306"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.0d, number2, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.17298659070346029d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17128149301133636d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test308"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    sum5.increment(3.141592653589793d);
    double[] d_array10 = new double[] { 100.0d, 10.0d };
    sum5.incrementAll(d_array10);
    double d13 = variance3.evaluate(d_array10, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance16);
    long long18 = variance16.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test309"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    sum10.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum10);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = sum16.copy();
    long long18 = sum16.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum16);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum10, sum16);
    long long21 = sum10.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = sum10.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum22);
    sum22.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum26 = sum25.copy();
    long long27 = sum25.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum25);
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum30 = sum29.copy();
    long long31 = sum29.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum32 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum29);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum25, sum29);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException38 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable34, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number39 = numberIsTooSmallException38.getArgument();
    boolean b40 = sum29.equals((java.lang.Object)number39);
    double d41 = sum29.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum42 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum43 = sum42.copy();
    long long44 = sum42.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum42);
    org.apache.commons.math.stat.descriptive.summary.Sum sum46 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = sum46.copy();
    long long48 = sum46.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum46);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum42, sum46);
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum52 = sum51.copy();
    sum52.increment(3.141592653589793d);
    sum52.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum42, sum52);
    org.apache.commons.math.stat.descriptive.summary.Sum sum58 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum59 = sum58.copy();
    long long60 = sum58.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum61 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum58);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum52, sum58);
    long long63 = sum52.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum64 = sum52.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum65 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum64);
    sum64.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum29, sum64);
    sum29.clear();
    long long69 = sum29.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum22, sum29);
    org.apache.commons.math.stat.descriptive.summary.Sum sum71 = sum29.copy();
    sum71.increment((-51.176026042520036d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + 10L+ "'", number39.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long60 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long63 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long69 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum71);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test310"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(11.294837886037067d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test311"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.008372020417021597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000350455676283d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test312"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.17128149301133636d, 1.1125369292536007E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.17128149301133633d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test313"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = mean15.copy();
    mean16.clear();
    double d18 = mean16.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test314"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-30.734567129846045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test315"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.99990163397469d, 5.693644666513334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.780777877253285d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test316"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    mean5.increment(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test317"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.3336352375134876E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test318"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 4L);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test319"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.7199622375475825d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test320"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    variance9.clear();
    variance9.increment(100.0d);
    double d13 = variance9.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance9, variance16);
    double[] d_array19 = new double[] { 0.0d };
    double d20 = variance16.evaluate(d_array19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    variance24.clear();
    variance24.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment29);
    variance31.clear();
    variance31.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance24, variance31);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance16, variance24);
    double[] d_array37 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 10.0d };
    double d41 = variance16.evaluate(d_array37, d_array39, 0.0d);
    secondMoment1.setData(d_array39);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.Variance variance46 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment44);
    secondMoment44.increment((-0.7853981633974483d));
    secondMoment44.clear();
    double d50 = secondMoment44.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance51 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    double[] d_array55 = new double[] { 1.0d };
    double d56 = secondMoment44.evaluate(d_array55);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment59 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment58);
    org.apache.commons.math.stat.descriptive.moment.Variance variance60 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment58);
    secondMoment58.increment((-0.7853981633974483d));
    secondMoment58.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment44, secondMoment58);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment1, secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment68 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment69 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment68);
    org.apache.commons.math.stat.descriptive.moment.Variance variance70 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment68);
    org.apache.commons.math.stat.descriptive.moment.Variance variance71 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment68);
    org.apache.commons.math.stat.descriptive.moment.Variance variance72 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment68);
    secondMoment68.increment(0.8036440837285719d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum76 = sum75.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum77 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum75);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment79 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment80 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment79);
    org.apache.commons.math.stat.descriptive.moment.Variance variance81 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment79);
    org.apache.commons.math.stat.descriptive.summary.Sum sum82 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum83 = sum82.copy();
    sum83.increment(3.141592653589793d);
    double[] d_array88 = new double[] { 100.0d, 10.0d };
    sum83.incrementAll(d_array88);
    double d91 = variance81.evaluate(d_array88, 1.0d);
    double d92 = sum75.evaluate(d_array88);
    secondMoment68.setData(d_array88);
    double d94 = secondMoment1.evaluate(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 4050.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test321"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean15, mean16);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment19);
    variance21.clear();
    variance21.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = sum24.copy();
    sum25.increment(3.141592653589793d);
    double[] d_array30 = new double[] { 100.0d, 10.0d };
    sum25.incrementAll(d_array30);
    double d32 = variance21.evaluate(d_array30);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment34);
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = sum37.copy();
    sum38.increment(3.141592653589793d);
    double[] d_array43 = new double[] { 100.0d, 10.0d };
    sum38.incrementAll(d_array43);
    double d46 = variance36.evaluate(d_array43, 1.0d);
    double d47 = mean15.evaluate(d_array30, d_array43);
    double d48 = mean0.evaluate(d_array43);
    org.apache.commons.math.stat.descriptive.moment.Mean mean49 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment50 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment51 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment50);
    org.apache.commons.math.stat.descriptive.moment.Variance variance52 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment50);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment55 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment54);
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment54);
    variance56.clear();
    variance56.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum59 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum60 = sum59.copy();
    sum60.increment(3.141592653589793d);
    double[] d_array65 = new double[] { 100.0d, 10.0d };
    sum60.incrementAll(d_array65);
    double d67 = variance56.evaluate(d_array65);
    double d68 = variance52.evaluate(d_array65);
    // The following exception was thrown during execution in test generation
    try {
      double d71 = mean49.evaluate(d_array65, (-24), 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 55.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 4050.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test322"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(232047.90703450976d, (-15));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.081540131668389d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test323"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = sum6.copy();
    sum7.increment(3.141592653589793d);
    double[] d_array12 = new double[] { 100.0d, 10.0d };
    sum7.incrementAll(d_array12);
    double d14 = variance3.evaluate(d_array12);
    long long15 = variance3.getN();
    variance3.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment20);
    variance22.clear();
    variance22.increment(100.0d);
    double d26 = variance22.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance22, variance29);
    double[] d_array32 = new double[] { 0.0d };
    double d33 = variance29.evaluate(d_array32);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment36 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment35);
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment35);
    variance37.clear();
    variance37.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment42 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment42);
    org.apache.commons.math.stat.descriptive.moment.Variance variance44 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment42);
    variance44.clear();
    variance44.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance37, variance44);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance29, variance37);
    double[] d_array50 = new double[] { 1.0d };
    double[] d_array52 = new double[] { 10.0d };
    double d54 = variance29.evaluate(d_array50, d_array52, 0.0d);
    long long55 = variance29.getN();
    variance29.increment(18.100052825424136d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum58 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum59 = sum58.copy();
    sum59.increment(3.141592653589793d);
    double[] d_array64 = new double[] { 100.0d, 10.0d };
    sum59.incrementAll(d_array64);
    double d66 = variance29.evaluate(d_array64);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment67 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment68 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment67);
    org.apache.commons.math.stat.descriptive.moment.Variance variance69 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment67);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment71 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment72 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment71);
    org.apache.commons.math.stat.descriptive.moment.Variance variance73 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment71);
    variance73.clear();
    variance73.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum76 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum77 = sum76.copy();
    sum77.increment(3.141592653589793d);
    double[] d_array82 = new double[] { 100.0d, 10.0d };
    sum77.incrementAll(d_array82);
    double d84 = variance73.evaluate(d_array82);
    double d85 = variance69.evaluate(d_array82);
    double d87 = variance3.evaluate(d_array64, d_array82, 5.180954792565484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long55 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 669.4214876033049d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test324"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.4795254892277549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.520007872992917d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test325"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    secondMoment6.clear();
    double d11 = secondMoment6.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment15, secondMoment19);
    boolean b24 = secondMoment19.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = secondMoment19.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment6, secondMoment19);
    double d28 = secondMoment6.getResult();
    secondMoment6.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test326"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    double d4 = mean0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    org.apache.commons.math.stat.descriptive.moment.Mean mean10 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean10, mean11);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean10);
    org.apache.commons.math.stat.descriptive.moment.Mean mean14 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean14, mean15);
    mean15.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean15);
    mean7.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean22 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean7);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean6, mean22);
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = mean22.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment31);
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment31);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment27, secondMoment31);
    boolean b36 = secondMoment31.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment31);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance variance41 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment39);
    variance41.clear();
    variance41.increment(100.0d);
    double d45 = variance41.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment46);
    org.apache.commons.math.stat.descriptive.moment.Variance variance48 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment46);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance41, variance48);
    double[] d_array51 = new double[] { 0.0d };
    double d52 = variance48.evaluate(d_array51);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment55 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment54);
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment54);
    variance56.clear();
    variance56.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment61 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment62 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment61);
    org.apache.commons.math.stat.descriptive.moment.Variance variance63 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment61);
    variance63.clear();
    variance63.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance56, variance63);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance48, variance56);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment68 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment69 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment68);
    long long70 = secondMoment69.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment72 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment73 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment72);
    org.apache.commons.math.stat.descriptive.moment.Variance variance74 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment72);
    variance74.clear();
    variance74.increment(100.0d);
    double d78 = variance74.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment79 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment80 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment79);
    org.apache.commons.math.stat.descriptive.moment.Variance variance81 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment79);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance74, variance81);
    double[] d_array84 = new double[] { 0.0d };
    double d85 = variance81.evaluate(d_array84);
    double d86 = secondMoment69.evaluate(d_array84);
    double d89 = variance48.evaluate(d_array84, 0, 1);
    double d91 = variance37.evaluate(d_array84, (-0.6619304437603319d));
    mean24.incrementAll(d_array84);
    // The following exception was thrown during execution in test generation
    try {
      double d95 = mean5.evaluate(d_array84, (-23), 50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long70 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d78, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test327"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)50.000008f, (java.lang.Number)1.5641954090363828d, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.5641954090363828d+ "'", number5.equals(1.5641954090363828d));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test328"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(4.398207537904143d, 0.9975075367290694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.5099058562577685d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test329"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean15, mean16);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment19);
    variance21.clear();
    variance21.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = sum24.copy();
    sum25.increment(3.141592653589793d);
    double[] d_array30 = new double[] { 100.0d, 10.0d };
    sum25.incrementAll(d_array30);
    double d32 = variance21.evaluate(d_array30);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment34);
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = sum37.copy();
    sum38.increment(3.141592653589793d);
    double[] d_array43 = new double[] { 100.0d, 10.0d };
    sum38.incrementAll(d_array43);
    double d46 = variance36.evaluate(d_array43, 1.0d);
    double d47 = mean15.evaluate(d_array30, d_array43);
    double d48 = mean0.evaluate(d_array43);
    double[] d_array49 = mean0.getData();
    double d50 = mean0.getResult();
    long long51 = mean0.getN();
    double[] d_array52 = mean0.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 55.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long51 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array52);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test330"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array6);
    boolean b8 = sum4.equals((java.lang.Object)obj_array6);
    sum4.increment(0.490378878757816d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    double d12 = sum11.getResult();
    double d13 = sum11.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 3.631971532347609d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 3.631971532347609d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test331"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean9);
    mean9.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = mean9.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean14 = mean13.copy();
    mean13.clear();
    mean13.increment(0.09042471952724754d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean13);
    double d19 = mean5.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum21 = sum20.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum20);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment25, secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment34);
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = sum37.copy();
    sum38.increment(3.141592653589793d);
    double[] d_array43 = new double[] { 100.0d, 10.0d };
    sum38.incrementAll(d_array43);
    double d46 = variance36.evaluate(d_array43, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment48 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance variance49 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance36, variance49);
    variance49.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean53 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean54 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean53, mean54);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment57);
    org.apache.commons.math.stat.descriptive.moment.Variance variance59 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment57);
    variance59.clear();
    variance59.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum62 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum63 = sum62.copy();
    sum63.increment(3.141592653589793d);
    double[] d_array68 = new double[] { 100.0d, 10.0d };
    sum63.incrementAll(d_array68);
    double d70 = variance59.evaluate(d_array68);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment72 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment73 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment72);
    org.apache.commons.math.stat.descriptive.moment.Variance variance74 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum76 = sum75.copy();
    sum76.increment(3.141592653589793d);
    double[] d_array81 = new double[] { 100.0d, 10.0d };
    sum76.incrementAll(d_array81);
    double d84 = variance74.evaluate(d_array81, 1.0d);
    double d85 = mean53.evaluate(d_array68, d_array81);
    double d86 = variance49.evaluate(d_array81);
    secondMoment25.incrementAll(d_array81);
    sum20.setData(d_array81);
    double d89 = sum20.getResult();
    double[] d_array90 = sum20.getData();
    // The following exception was thrown during execution in test generation
    try {
      double d93 = mean5.evaluate(d_array90, 23, 50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test332"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = mean15.copy();
    double[] d_array17 = null;
    mean16.setData(d_array17);
    double[] d_array19 = null;
    mean16.setData(d_array19);
    mean16.clear();
    mean16.increment(0.6678664812067435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean16);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test333"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    double d7 = mean0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.6577297967324589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.41896107525759424d));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test335"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.233403117511217d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test336"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException(number0);
    org.apache.commons.math.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)2.1450721690737238d);
    notPositiveException1.addSuppressed((java.lang.Throwable)notPositiveException3);
    java.lang.Throwable[] throwable_array5 = notPositiveException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test337"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(5.960466E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test338"); }


    long long2 = org.apache.commons.math.util.FastMath.max(92L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 92L);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test339"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.0149995286583604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test340"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(4.5474735E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.547474E-13f);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test341"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.105428E-15f);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test342"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    boolean b11 = secondMoment6.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = sum19.copy();
    sum20.increment(3.141592653589793d);
    double[] d_array25 = new double[] { 100.0d, 10.0d };
    sum20.incrementAll(d_array25);
    double d28 = variance18.evaluate(d_array25, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment30);
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment30);
    org.apache.commons.math.stat.descriptive.summary.Sum sum33 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum34 = sum33.copy();
    sum34.increment(3.141592653589793d);
    double[] d_array39 = new double[] { 100.0d, 10.0d };
    sum34.incrementAll(d_array39);
    double d42 = variance32.evaluate(d_array39, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.Variance variance45 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance32, variance45);
    variance45.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean49 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean50 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean49, mean50);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment53);
    org.apache.commons.math.stat.descriptive.moment.Variance variance55 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment53);
    variance55.clear();
    variance55.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum58 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum59 = sum58.copy();
    sum59.increment(3.141592653589793d);
    double[] d_array64 = new double[] { 100.0d, 10.0d };
    sum59.incrementAll(d_array64);
    double d66 = variance55.evaluate(d_array64);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment68 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment69 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment68);
    org.apache.commons.math.stat.descriptive.moment.Variance variance70 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment68);
    org.apache.commons.math.stat.descriptive.summary.Sum sum71 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum72 = sum71.copy();
    sum72.increment(3.141592653589793d);
    double[] d_array77 = new double[] { 100.0d, 10.0d };
    sum72.incrementAll(d_array77);
    double d80 = variance70.evaluate(d_array77, 1.0d);
    double d81 = mean49.evaluate(d_array64, d_array77);
    double d82 = variance45.evaluate(d_array77);
    double d84 = variance14.evaluate(d_array25, d_array77, (-3.141592653589793d));
    variance14.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 675.562969140953d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test343"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.014026235275236568d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test344"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 1);
    int i4 = dimensionMismatchException3.getDimension();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math.exception.NotPositiveException(localizable5, number6);
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)notPositiveException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test345"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    double[] d_array2 = sum0.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    variance6.clear();
    variance6.increment(100.0d);
    variance6.increment(0.6557942026326724d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment13);
    variance15.clear();
    variance15.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment20);
    variance22.clear();
    variance22.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance15, variance22);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance6, variance15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance15, variance33);
    boolean b35 = sum0.equals((java.lang.Object)variance33);
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = sum0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum36);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test346"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.2543910656899355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2516561185230359d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test347"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.9718129595133441d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6427312837056656d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test348"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    variance6.clear();
    variance6.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    double[] d_array15 = new double[] { 100.0d, 10.0d };
    sum10.incrementAll(d_array15);
    double d17 = variance6.evaluate(d_array15);
    double d18 = variance2.evaluate(d_array15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = variance2.copy();
    variance19.increment(2.9422553486074694d);
    boolean b22 = variance19.isBiasCorrected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2040.14159265359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test350"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 3, 100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = dimensionMismatchException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test351"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 139L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 139L);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test352"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    boolean b11 = secondMoment6.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = secondMoment6.copy();
    long long13 = secondMoment6.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = secondMoment6.copy();
    long long15 = secondMoment6.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    long long17 = secondMoment6.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = secondMoment6.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test353"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(76.80007756497565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8853616586516149d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test354"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    sum10.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum10);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = sum16.copy();
    long long18 = sum16.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum16);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum10, sum16);
    long long21 = sum10.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = sum10.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum22);
    long long24 = sum23.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 0L);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test355"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum1.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment5);
    variance7.clear();
    variance7.increment(100.0d);
    double d11 = variance7.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance7, variance14);
    double[] d_array17 = new double[] { 0.0d };
    double d18 = variance14.evaluate(d_array17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment20);
    variance22.clear();
    variance22.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment27);
    variance29.clear();
    variance29.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance22, variance29);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance14, variance22);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array37 = new double[] { 10.0d };
    double d39 = variance14.evaluate(d_array35, d_array37, 0.0d);
    sum3.incrementAll(d_array37, 0, 0);
    double d43 = sum3.getResult();
    sum3.increment(2.9422553486074694d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum46 = sum3.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment48 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment48);
    org.apache.commons.math.stat.descriptive.moment.Variance variance50 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment48);
    org.apache.commons.math.stat.descriptive.moment.Variance variance51 = variance50.copy();
    boolean b52 = variance51.isBiasCorrected();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment55 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment54);
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment54);
    variance56.clear();
    variance56.increment(100.0d);
    double d60 = variance56.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment61 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment62 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment61);
    org.apache.commons.math.stat.descriptive.moment.Variance variance63 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment61);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance56, variance63);
    double[] d_array66 = new double[] { 0.0d };
    double d67 = variance63.evaluate(d_array66);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment69 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment70 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment69);
    org.apache.commons.math.stat.descriptive.moment.Variance variance71 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment69);
    variance71.clear();
    variance71.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment76 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment77 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment76);
    org.apache.commons.math.stat.descriptive.moment.Variance variance78 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment76);
    variance78.clear();
    variance78.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance71, variance78);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance63, variance71);
    double[] d_array84 = new double[] { 1.0d };
    double[] d_array86 = new double[] { 10.0d };
    double d88 = variance63.evaluate(d_array84, d_array86, 0.0d);
    variance51.setData(d_array84);
    sum3.setData(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test356"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.021033227672532948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test357"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array6);
    boolean b8 = sum4.equals((java.lang.Object)obj_array6);
    sum4.increment(0.490378878757816d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    double d12 = sum11.getResult();
    sum11.increment(0.8304425852618834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 3.631971532347609d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test358"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.99999994f);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test359"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(byte)0);
    java.lang.Number number3 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)0+ "'", number3.equals((byte)0));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test360"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    double[] d_array3 = secondMoment1.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = secondMoment1.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test361"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-6.338253E31f), 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(4.6994101640465304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test363"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10L+ "'", number5.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)1+ "'", number7.equals((byte)1));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test364"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)4.567936103429812d, (java.lang.Number)(-0.09665840969857409d), false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test365"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    variance4.clear();
    variance4.increment(100.0d);
    double d8 = variance4.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance4, variance11);
    double[] d_array14 = new double[] { 0.0d };
    double d15 = variance11.evaluate(d_array14);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment17);
    variance19.clear();
    variance19.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment24);
    variance26.clear();
    variance26.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance19, variance26);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance11, variance19);
    double[] d_array32 = new double[] { 1.0d };
    double[] d_array34 = new double[] { 10.0d };
    double d36 = variance11.evaluate(d_array32, d_array34, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      variance0.incrementAll(d_array34, (-64), 24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test366"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.012222203187760978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7002806590100449d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test367"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    long long3 = variance2.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment5);
    variance7.clear();
    variance7.increment(100.0d);
    double d11 = variance7.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance7, variance14);
    double[] d_array17 = new double[] { 0.0d };
    double d18 = variance14.evaluate(d_array17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment22, secondMoment26);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic30 = secondMoment26.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment26);
    variance31.setBiasCorrected(false);
    variance31.setBiasCorrected(true);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment38 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment37);
    org.apache.commons.math.stat.descriptive.moment.Variance variance39 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment37);
    variance39.clear();
    variance39.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance42 = variance39.copy();
    variance42.clear();
    long long44 = variance42.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean mean45 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean46 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean45, mean46);
    org.apache.commons.math.stat.descriptive.moment.Mean mean48 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean49 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean48, mean49);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean45, mean48);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment55 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment54);
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment54);
    org.apache.commons.math.stat.descriptive.moment.Variance variance57 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment54);
    variance57.setBiasCorrected(false);
    double[] d_array60 = variance57.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment62 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment63 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment62);
    org.apache.commons.math.stat.descriptive.moment.Variance variance64 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment62);
    variance64.clear();
    double[] d_array66 = new double[] {  };
    double d67 = variance64.evaluate(d_array66);
    variance57.setData(d_array66);
    mean45.setData(d_array66);
    double d70 = variance42.evaluate(d_array66);
    double d72 = variance31.evaluate(d_array66, 0.39192017193866113d);
    // The following exception was thrown during execution in test generation
    try {
      double d73 = variance2.evaluate(d_array17, d_array66);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d67, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test368"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.396935154870779d, (java.lang.Number)10, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10+ "'", number6.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10+ "'", number7.equals(10));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test369"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment11);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment11);
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = sum14.copy();
    sum15.increment(3.141592653589793d);
    double[] d_array20 = new double[] { 100.0d, 10.0d };
    sum15.incrementAll(d_array20);
    double d23 = variance13.evaluate(d_array20, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance13, variance26);
    variance26.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean30 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean31 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean30, mean31);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment34);
    variance36.clear();
    variance36.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum39 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum40 = sum39.copy();
    sum40.increment(3.141592653589793d);
    double[] d_array45 = new double[] { 100.0d, 10.0d };
    sum40.incrementAll(d_array45);
    double d47 = variance36.evaluate(d_array45);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment50 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment49);
    org.apache.commons.math.stat.descriptive.moment.Variance variance51 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment49);
    org.apache.commons.math.stat.descriptive.summary.Sum sum52 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum53 = sum52.copy();
    sum53.increment(3.141592653589793d);
    double[] d_array58 = new double[] { 100.0d, 10.0d };
    sum53.incrementAll(d_array58);
    double d61 = variance51.evaluate(d_array58, 1.0d);
    double d62 = mean30.evaluate(d_array45, d_array58);
    double d63 = variance26.evaluate(d_array58);
    secondMoment2.incrementAll(d_array58);
    long long65 = secondMoment2.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic66 = secondMoment2.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment67 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long65 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic66);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test370"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.3094682437026746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test371"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    secondMoment1.increment((-0.7853981633974483d));
    secondMoment1.clear();
    double[] d_array7 = secondMoment1.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment10);
    secondMoment10.increment(0.8036440837285719d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum18 = sum17.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment21);
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = sum24.copy();
    sum25.increment(3.141592653589793d);
    double[] d_array30 = new double[] { 100.0d, 10.0d };
    sum25.incrementAll(d_array30);
    double d33 = variance23.evaluate(d_array30, 1.0d);
    double d34 = sum17.evaluate(d_array30);
    secondMoment10.setData(d_array30);
    boolean b36 = secondMoment1.equals((java.lang.Object)d_array30);
    secondMoment1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test372"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.032258844708845d, (-0.7125769647048271d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9776300723307542d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test373"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    long long3 = secondMoment1.getN();
    secondMoment1.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment5);
    secondMoment6.clear();
    long long8 = secondMoment6.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment1, secondMoment6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test374"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-23), 58);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test375"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment8);
    variance10.clear();
    variance10.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = variance10.copy();
    // The following exception was thrown during execution in test generation
    try {
      double d15 = variance10.evaluate();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance14);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test376"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    long long3 = secondMoment2.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = secondMoment2.copy();
    long long5 = secondMoment2.getN();
    secondMoment2.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    double[] d_array8 = secondMoment2.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array8);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test377"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math.exception.DimensionMismatchException(localizable2, (-127), 10);
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test378"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException7 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable3, (java.lang.Number)(-0.3094682437026747d), number5, true);
    java.lang.Throwable[] throwable_array8 = numberIsTooLargeException7.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.037822768024648346d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.03784081428669896d));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.2965647437458827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.28830221108372855d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test381"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(5, 3);
    int i3 = dimensionMismatchException2.getDimension();
    int i4 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test382"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    mean5.increment(0.09042471952724754d);
    long long10 = mean5.getN();
    mean5.increment(0.7152341484465397d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test383"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.25775587217596474d, 0.009840220751864725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0019101326274818843d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test384"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean3, mean4);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean7, mean8);
    mean8.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean8);
    mean0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean15, mean16);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment19);
    variance21.clear();
    variance21.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum24 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = sum24.copy();
    sum25.increment(3.141592653589793d);
    double[] d_array30 = new double[] { 100.0d, 10.0d };
    sum25.incrementAll(d_array30);
    double d32 = variance21.evaluate(d_array30);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment34);
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = sum37.copy();
    sum38.increment(3.141592653589793d);
    double[] d_array43 = new double[] { 100.0d, 10.0d };
    sum38.incrementAll(d_array43);
    double d46 = variance36.evaluate(d_array43, 1.0d);
    double d47 = mean15.evaluate(d_array30, d_array43);
    double d48 = mean0.evaluate(d_array43);
    org.apache.commons.math.stat.descriptive.moment.Mean mean49 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    long long50 = mean49.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 55.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 1L);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test385"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.8242458589994947d), 0.01018589403201696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8242458589994945d));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test386"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.652253400751606d, 1.112775000104673d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.652253400751606d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test387"); }


    int i2 = org.apache.commons.math.util.FastMath.max(5, 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 50);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test388"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 6.338252E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test389"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    long long4 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test390"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-1.2878134710704439d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test391"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    sum10.increment(3.141592653589793d);
    sum10.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum0, sum10);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = sum16.copy();
    long long18 = sum16.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum19 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum16);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum10, sum16);
    double d21 = sum16.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test392"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    double[] d_array12 = new double[] {  };
    double d14 = variance10.evaluate(d_array12, 0.7071067811865476d);
    boolean b15 = variance10.isBiasCorrected();
    variance10.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test393"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.0921061385330821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0450388215435262d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test394"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math.exception.DimensionMismatchException(localizable2, 10, 100);
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = nullArgumentException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test395"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test396"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.509178478658057d, number1, false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test397"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)11013.232874703393d, (java.lang.Number)1.0d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0d+ "'", number5.equals(1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.0d+ "'", number6.equals(1.0d));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test398"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.0d, 0.8814812841741141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test399"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.9226350743220142d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7451808536350516d));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test400"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.05483113556160754d);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test401"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.6458418000431521d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7985933949992949d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test402"); }


    int i2 = org.apache.commons.math.util.FastMath.max(105, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 105);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test403"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test404"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-127), 10);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = dimensionMismatchException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test405"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = secondMoment1.copy();
    long long4 = secondMoment1.getN();
    secondMoment1.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    boolean b7 = variance6.isBiasCorrected();
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = variance6.evaluate(d_array8, 105, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.8036440837285719d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9333935214744353d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test407"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    double[] d_array13 = new double[] { 0.0d };
    double d14 = variance10.evaluate(d_array13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    variance18.clear();
    variance18.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment23);
    variance25.clear();
    variance25.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance18, variance25);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance10, variance18);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException33 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)11.294825448999884d, (java.lang.Number)100.0d, false);
    boolean b34 = variance10.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance35 = variance10.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance35);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test408"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)7.694785265142018E23d, false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test409"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment3, secondMoment7);
    boolean b12 = secondMoment7.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = secondMoment7.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    long long15 = secondMoment7.getN();
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException19 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.5707963267948966d, (java.lang.Number)0.5001138966722573d, false);
    java.lang.Number number20 = numberIsTooLargeException19.getMax();
    boolean b21 = numberIsTooLargeException19.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext22 = numberIsTooLargeException19.getContext();
    boolean b23 = numberIsTooLargeException19.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException28 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable24, (java.lang.Number)0.06823658264211242d, (java.lang.Number)0.0705600040299336d, false);
    numberIsTooLargeException19.addSuppressed((java.lang.Throwable)numberIsTooSmallException28);
    java.lang.Number number30 = numberIsTooSmallException28.getMin();
    boolean b31 = secondMoment7.equals((java.lang.Object)number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 0.5001138966722573d+ "'", number20.equals(0.5001138966722573d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + 0.0705600040299336d+ "'", number30.equals(0.0705600040299336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test410"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum4);
    sum3.increment(0.15156283651453492d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = sum11.copy();
    long long13 = sum11.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum11);
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = sum15.copy();
    long long17 = sum15.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum18 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum15);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum11, sum15);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable20, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number25 = numberIsTooSmallException24.getArgument();
    boolean b26 = sum15.equals((java.lang.Object)number25);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum15);
    long long28 = sum3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum3.copy();
    boolean b31 = sum29.equals((java.lang.Object)0.05483113556160755d);
    double d32 = sum29.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum33 = sum29.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 10L+ "'", number25.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.15156283651453492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum33);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test411"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(false);
    variance1.setBiasCorrected(false);
    long long4 = variance1.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    variance8.clear();
    variance8.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = variance8.copy();
    variance11.clear();
    long long13 = variance11.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = sum14.copy();
    sum15.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = sum15.copy();
    long long18 = sum15.getN();
    sum15.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum21 = sum20.copy();
    sum21.increment(3.141592653589793d);
    double[] d_array26 = new double[] { 100.0d, 10.0d };
    sum21.incrementAll(d_array26);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment28);
    secondMoment28.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum32 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum33 = sum32.copy();
    long long34 = sum32.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum35 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum32);
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = sum36.copy();
    long long38 = sum36.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum39 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum36);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum32, sum36);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException45 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable41, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number46 = numberIsTooSmallException45.getArgument();
    boolean b47 = sum36.equals((java.lang.Object)number46);
    double d48 = sum36.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum50 = sum49.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum49);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment53);
    org.apache.commons.math.stat.descriptive.moment.Variance variance55 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment53);
    org.apache.commons.math.stat.descriptive.summary.Sum sum56 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum57 = sum56.copy();
    sum57.increment(3.141592653589793d);
    double[] d_array62 = new double[] { 100.0d, 10.0d };
    sum57.incrementAll(d_array62);
    double d65 = variance55.evaluate(d_array62, 1.0d);
    double d66 = sum49.evaluate(d_array62);
    sum36.incrementAll(d_array62);
    double d68 = secondMoment28.evaluate(d_array62);
    double d69 = sum15.evaluate(d_array26, d_array62);
    variance11.incrementAll(d_array62);
    org.apache.commons.math.stat.descriptive.moment.Mean mean71 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean72 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean71, mean72);
    org.apache.commons.math.stat.descriptive.moment.Mean mean74 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean75 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean74, mean75);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean71, mean74);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment80 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment81 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment80);
    org.apache.commons.math.stat.descriptive.moment.Variance variance82 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment80);
    org.apache.commons.math.stat.descriptive.moment.Variance variance83 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment80);
    variance83.setBiasCorrected(false);
    double[] d_array86 = variance83.getData();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment88 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment89 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment88);
    org.apache.commons.math.stat.descriptive.moment.Variance variance90 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment88);
    variance90.clear();
    double[] d_array92 = new double[] {  };
    double d93 = variance90.evaluate(d_array92);
    variance83.setData(d_array92);
    mean71.setData(d_array92);
    // The following exception was thrown during execution in test generation
    try {
      double d99 = variance1.evaluate(d_array62, d_array92, 1.233665780807258d, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number46 + "' != '" + 10L+ "'", number46.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d93, Double.NaN, 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test412"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 6L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test413"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-15), 1);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.6192471123844374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5544517071965575d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test415"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.14206815838939646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14303570706897456d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test416"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.40203075964805834d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test417"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(76.80007756497565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.3862943611198906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9830277404112437d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test419"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.6619304437603319d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6212000352288882d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test420"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.013482208921051486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5573137093970089d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test421"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.9903290191845349d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(3.8104773809653523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test423"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    long long3 = variance2.getN();
    variance2.increment(0.15156283651453495d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test424"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.42331082513074814d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.45054953406980763d));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test425"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    sum5.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum5);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum1, sum7);
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum9.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum9);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment13);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = sum16.copy();
    sum17.increment(3.141592653589793d);
    double[] d_array22 = new double[] { 100.0d, 10.0d };
    sum17.incrementAll(d_array22);
    double d25 = variance15.evaluate(d_array22, 1.0d);
    double d26 = sum9.evaluate(d_array22);
    sum9.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum28.copy();
    long long30 = sum28.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum31 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum28);
    org.apache.commons.math.stat.descriptive.summary.Sum sum32 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum33 = sum32.copy();
    long long34 = sum32.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum35 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum32);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum28, sum32);
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = sum37.copy();
    sum38.increment(3.141592653589793d);
    sum38.increment(2025.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum28, sum38);
    org.apache.commons.math.stat.descriptive.summary.Sum sum44 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = sum44.copy();
    long long46 = sum44.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum44);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum38, sum44);
    long long49 = sum38.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum50 = sum38.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum52 = sum51.copy();
    long long53 = sum51.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum54 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum51);
    org.apache.commons.math.stat.descriptive.summary.Sum sum55 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum56 = sum55.copy();
    long long57 = sum55.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum58 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum55);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum51, sum55);
    org.apache.commons.math.stat.descriptive.summary.Sum sum60 = sum51.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum38, sum60);
    org.apache.commons.math.stat.descriptive.summary.Sum sum62 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum60);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum9, sum62);
    sum9.increment(0.2860021490135149d);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum1, sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long53 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long57 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum60);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test426"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment2, secondMoment6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = secondMoment6.copy();
    secondMoment6.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment6);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable13, (java.lang.Number)3L, (java.lang.Number)2.8872283887342176d, false);
    boolean b18 = secondMoment6.equals((java.lang.Object)3L);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment6, secondMoment21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test427"); }


    int i2 = org.apache.commons.math.util.FastMath.min(23, 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 23);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test428"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    secondMoment2.increment((-0.7853981633974483d));
    secondMoment2.clear();
    double d8 = secondMoment2.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance0, variance9);
    boolean b11 = variance9.isBiasCorrected();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = sum12.copy();
    sum13.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment18);
    variance20.clear();
    variance20.increment(100.0d);
    double d24 = variance20.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance20, variance27);
    double[] d_array30 = new double[] { 0.0d };
    double d31 = variance27.evaluate(d_array30);
    sum16.setData(d_array30);
    double d33 = variance9.evaluate(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test429"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    long long3 = mean0.getN();
    double d4 = mean0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test430"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.494722802219547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0179272721168395d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test431"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.6153077393895678d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0164675314291327d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test432"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    long long3 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    sum5.clear();
    long long7 = sum5.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = sum5.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum8);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test433"); }


    float f2 = org.apache.commons.math.util.FastMath.min(200.00002f, 6.3382535E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 200.00002f);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test434"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.increment(3.141592653589793d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array6);
    boolean b8 = sum4.equals((java.lang.Object)obj_array6);
    sum4.increment(0.490378878757816d);
    long long11 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = sum4.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum12);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test435"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    boolean b12 = variance3.isBiasCorrected();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test436"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-17), 6);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test437"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    mean5.increment(0.09042471952724754d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment12, secondMoment16);
    boolean b21 = secondMoment16.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance23);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment26);
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum30 = sum29.copy();
    sum30.increment(3.141592653589793d);
    double[] d_array35 = new double[] { 100.0d, 10.0d };
    sum30.incrementAll(d_array35);
    double d38 = variance28.evaluate(d_array35, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment40);
    org.apache.commons.math.stat.descriptive.moment.Variance variance42 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment40);
    org.apache.commons.math.stat.descriptive.summary.Sum sum43 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum44 = sum43.copy();
    sum44.increment(3.141592653589793d);
    double[] d_array49 = new double[] { 100.0d, 10.0d };
    sum44.incrementAll(d_array49);
    double d52 = variance42.evaluate(d_array49, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment53);
    org.apache.commons.math.stat.descriptive.moment.Variance variance55 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment53);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance42, variance55);
    variance55.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean59 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean60 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean59, mean60);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment63 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment64 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment63);
    org.apache.commons.math.stat.descriptive.moment.Variance variance65 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment63);
    variance65.clear();
    variance65.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum68 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum69 = sum68.copy();
    sum69.increment(3.141592653589793d);
    double[] d_array74 = new double[] { 100.0d, 10.0d };
    sum69.incrementAll(d_array74);
    double d76 = variance65.evaluate(d_array74);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment78 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment79 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment78);
    org.apache.commons.math.stat.descriptive.moment.Variance variance80 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment78);
    org.apache.commons.math.stat.descriptive.summary.Sum sum81 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum82 = sum81.copy();
    sum82.increment(3.141592653589793d);
    double[] d_array87 = new double[] { 100.0d, 10.0d };
    sum82.incrementAll(d_array87);
    double d90 = variance80.evaluate(d_array87, 1.0d);
    double d91 = mean59.evaluate(d_array74, d_array87);
    double d92 = variance55.evaluate(d_array87);
    double d94 = variance24.evaluate(d_array35, d_array87, (-3.141592653589793d));
    mean5.incrementAll(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 675.562969140953d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test438"); }


    int i1 = org.apache.commons.math.util.FastMath.round(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test439"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = sum6.copy();
    sum7.increment(3.141592653589793d);
    double[] d_array12 = new double[] { 100.0d, 10.0d };
    sum7.incrementAll(d_array12);
    double d14 = variance3.evaluate(d_array12);
    long long15 = variance3.getN();
    variance3.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test440"); }


    int i1 = org.apache.commons.math.util.FastMath.round(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test441"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.9500723631732626d, 0.028192438485294458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9500723631732626d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test442"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = variance3.copy();
    variance3.setBiasCorrected(true);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment9);
    variance11.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = variance11.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment15);
    secondMoment15.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment21);
    variance23.clear();
    variance23.increment(100.0d);
    double d27 = variance23.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.Variance variance30 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment28);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance23, variance30);
    double[] d_array33 = new double[] { 0.0d };
    double d34 = variance30.evaluate(d_array33);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment36 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment36);
    org.apache.commons.math.stat.descriptive.moment.Variance variance38 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment36);
    variance38.clear();
    variance38.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.Variance variance45 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment43);
    variance45.clear();
    variance45.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance38, variance45);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance30, variance38);
    double[] d_array51 = new double[] { 1.0d };
    double[] d_array53 = new double[] { 10.0d };
    double d55 = variance30.evaluate(d_array51, d_array53, 0.0d);
    secondMoment15.setData(d_array53);
    double d57 = variance11.evaluate(d_array53);
    double d58 = variance7.evaluate(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test443"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(5.76460718E17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.76460718E17f);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test444"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(9.094949E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.09495E-13f);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test445"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(4.0564824E31f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.0564824E31f);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test446"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(44.97521010464567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2576.8897217103304d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test448"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum4);
    sum3.increment(0.15156283651453492d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = sum11.copy();
    long long13 = sum11.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum11);
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = sum15.copy();
    long long17 = sum15.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum18 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum15);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum11, sum15);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable20, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number25 = numberIsTooSmallException24.getArgument();
    boolean b26 = sum15.equals((java.lang.Object)number25);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum15);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment28);
    long long30 = secondMoment29.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment32);
    variance34.clear();
    variance34.increment(100.0d);
    double d38 = variance34.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance variance41 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance34, variance41);
    double[] d_array44 = new double[] { 0.0d };
    double d45 = variance41.evaluate(d_array44);
    double d46 = secondMoment29.evaluate(d_array44);
    // The following exception was thrown during execution in test generation
    try {
      double d49 = sum15.evaluate(d_array44, 5, 58);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 10L+ "'", number25.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test449"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean4.copy();
    double d6 = mean4.getResult();
    mean4.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean9);
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean11, mean12);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean8, mean11);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment16);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    variance18.clear();
    variance18.increment(100.0d);
    double d22 = variance18.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment23);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment23);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance18, variance25);
    double[] d_array28 = new double[] { 0.0d };
    double d29 = variance25.evaluate(d_array28);
    mean11.incrementAll(d_array28);
    double d31 = mean11.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean4, mean11);
    mean4.clear();
    mean4.increment(0.6061596552536073d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test450"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)2.0744229656561006d, (java.lang.Number)4.2E-45f, false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math.exception.DimensionMismatchException(localizable4, 0, 2147483647);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)dimensionMismatchException7);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test451"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 0.803644083728572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test452"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = variance3.copy();
    variance3.setBiasCorrected(true);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum8.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment13, secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum26 = sum25.copy();
    sum26.increment(3.141592653589793d);
    double[] d_array31 = new double[] { 100.0d, 10.0d };
    sum26.incrementAll(d_array31);
    double d34 = variance24.evaluate(d_array31, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment36 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment35);
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment35);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance24, variance37);
    variance37.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean41 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean42 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean41, mean42);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment46 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment45);
    org.apache.commons.math.stat.descriptive.moment.Variance variance47 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment45);
    variance47.clear();
    variance47.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum50 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = sum50.copy();
    sum51.increment(3.141592653589793d);
    double[] d_array56 = new double[] { 100.0d, 10.0d };
    sum51.incrementAll(d_array56);
    double d58 = variance47.evaluate(d_array56);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment60 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment61 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment60);
    org.apache.commons.math.stat.descriptive.moment.Variance variance62 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment60);
    org.apache.commons.math.stat.descriptive.summary.Sum sum63 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum64 = sum63.copy();
    sum64.increment(3.141592653589793d);
    double[] d_array69 = new double[] { 100.0d, 10.0d };
    sum64.incrementAll(d_array69);
    double d72 = variance62.evaluate(d_array69, 1.0d);
    double d73 = mean41.evaluate(d_array56, d_array69);
    double d74 = variance37.evaluate(d_array69);
    secondMoment13.incrementAll(d_array69);
    sum8.setData(d_array69);
    double d78 = variance7.evaluate(d_array69, (-1.55405860854307d));
    org.apache.commons.math.stat.descriptive.moment.Variance variance79 = variance7.copy();
    variance7.increment(2.590477396282742d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 4049.999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance79);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test453"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-23), 2147483647);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test454"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = sum7.copy();
    sum8.increment(3.141592653589793d);
    double[] d_array13 = new double[] { 100.0d, 10.0d };
    sum8.incrementAll(d_array13);
    double d16 = variance6.evaluate(d_array13, 1.0d);
    double d17 = sum0.evaluate(d_array13);
    sum0.clear();
    double[] d_array19 = sum0.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array19);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test455"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.05480366514878953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05483113556160755d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test456"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = variance3.copy();
    variance3.setBiasCorrected(true);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(variance3);
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = variance7.evaluate(d_array8, (-0.910973312839383d), (-24), 59);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance4);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test457"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(4.615666959427136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test458"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = mean0.copy();
    long long4 = mean0.getN();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    double d6 = mean5.getResult();
    mean5.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test459"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9033391107665127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9666819391258082d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test460"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    long long3 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = sum6.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum6);
    double d9 = sum6.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum10 = sum6.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum5, sum6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum10);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test461"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.4E-45f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test462"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 1);
    int i4 = dimensionMismatchException3.getDimension();
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.4711276743037347d);
    java.lang.Number number8 = notPositiveException7.getArgument();
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)notPositiveException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 1.4711276743037347d+ "'", number8.equals(1.4711276743037347d));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test463"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean4.copy();
    boolean b7 = mean5.equals((java.lang.Object)2.509178478658057d);
    mean5.increment(0.922868003156643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test464"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long2 = secondMoment1.getN();
    double[] d_array3 = secondMoment1.getData();
    long long4 = secondMoment1.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment8, secondMoment12);
    secondMoment12.clear();
    double d17 = secondMoment12.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment21, secondMoment25);
    boolean b30 = secondMoment25.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic31 = secondMoment25.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment12, secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment38 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment37);
    org.apache.commons.math.stat.descriptive.moment.Variance variance39 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment37);
    org.apache.commons.math.stat.descriptive.moment.Variance variance40 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment37);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment42 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment41);
    org.apache.commons.math.stat.descriptive.moment.Variance variance43 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment41);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment37, secondMoment41);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic45 = secondMoment41.copy();
    secondMoment41.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment41);
    org.apache.commons.math.stat.descriptive.moment.Mean mean48 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean49 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean48, mean49);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment52);
    org.apache.commons.math.stat.descriptive.moment.Variance variance54 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment52);
    variance54.clear();
    variance54.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum57 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum58 = sum57.copy();
    sum58.increment(3.141592653589793d);
    double[] d_array63 = new double[] { 100.0d, 10.0d };
    sum58.incrementAll(d_array63);
    double d65 = variance54.evaluate(d_array63);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment67 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment68 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment67);
    org.apache.commons.math.stat.descriptive.moment.Variance variance69 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment67);
    org.apache.commons.math.stat.descriptive.summary.Sum sum70 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum71 = sum70.copy();
    sum71.increment(3.141592653589793d);
    double[] d_array76 = new double[] { 100.0d, 10.0d };
    sum71.incrementAll(d_array76);
    double d79 = variance69.evaluate(d_array76, 1.0d);
    double d80 = mean48.evaluate(d_array63, d_array76);
    double d81 = secondMoment41.evaluate(d_array76);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment34, secondMoment41);
    double d83 = secondMoment34.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment5, secondMoment34);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic85 = secondMoment34.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d83, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic85);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test465"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(116023.9535139917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.064547659959859d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test466"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.17411783417167048d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.17411783417167048d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test467"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    long long5 = secondMoment2.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    variance6.setBiasCorrected(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.log(4.1713917970288295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4282497443993034d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test469"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    secondMoment1.increment((-0.7853981633974483d));
    secondMoment1.clear();
    double d7 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    long long9 = secondMoment1.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test470"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0192870567200274d, 1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4711276743037347d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test471"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.4345969776307406d, (java.lang.Number)4.835704E24f, false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test472"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.019244474077037194d), 2.590477396282742d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.007428792889160679d));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test473"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    long long4 = sum0.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment11);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment11);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment7, secondMoment11);
    long long15 = secondMoment11.getN();
    double d16 = secondMoment11.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment11);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment11);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    long long21 = secondMoment20.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment25, secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment34 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment35 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment34);
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment34);
    org.apache.commons.math.stat.descriptive.summary.Sum sum37 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum38 = sum37.copy();
    sum38.increment(3.141592653589793d);
    double[] d_array43 = new double[] { 100.0d, 10.0d };
    sum38.incrementAll(d_array43);
    double d46 = variance36.evaluate(d_array43, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment48 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance variance49 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance36, variance49);
    variance49.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean53 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean54 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean53, mean54);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment58 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment57);
    org.apache.commons.math.stat.descriptive.moment.Variance variance59 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment57);
    variance59.clear();
    variance59.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum62 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum63 = sum62.copy();
    sum63.increment(3.141592653589793d);
    double[] d_array68 = new double[] { 100.0d, 10.0d };
    sum63.incrementAll(d_array68);
    double d70 = variance59.evaluate(d_array68);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment72 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment73 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment72);
    org.apache.commons.math.stat.descriptive.moment.Variance variance74 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum76 = sum75.copy();
    sum76.increment(3.141592653589793d);
    double[] d_array81 = new double[] { 100.0d, 10.0d };
    sum76.incrementAll(d_array81);
    double d84 = variance74.evaluate(d_array81, 1.0d);
    double d85 = mean53.evaluate(d_array68, d_array81);
    double d86 = variance49.evaluate(d_array81);
    secondMoment25.incrementAll(d_array81);
    secondMoment22.setData(d_array81);
    double d89 = secondMoment11.evaluate(d_array81);
    // The following exception was thrown during execution in test generation
    try {
      sum0.setData(d_array81, (-23), 58);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 4050.0d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test474"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    double[] d_array2 = sum0.getData();
    sum0.increment(0.0d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = sum5.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum5);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment9);
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum13 = sum12.copy();
    sum13.increment(3.141592653589793d);
    double[] d_array18 = new double[] { 100.0d, 10.0d };
    sum13.incrementAll(d_array18);
    double d21 = variance11.evaluate(d_array18, 1.0d);
    double d22 = sum5.evaluate(d_array18);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment24);
    secondMoment24.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment31 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment30);
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment30);
    org.apache.commons.math.stat.descriptive.summary.Sum sum33 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum34 = sum33.copy();
    sum34.increment(3.141592653589793d);
    double[] d_array39 = new double[] { 100.0d, 10.0d };
    sum34.incrementAll(d_array39);
    double d42 = variance32.evaluate(d_array39, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment43 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.Variance variance45 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment43);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance32, variance45);
    variance45.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean49 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean50 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean49, mean50);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment53);
    org.apache.commons.math.stat.descriptive.moment.Variance variance55 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment53);
    variance55.clear();
    variance55.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum58 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum59 = sum58.copy();
    sum59.increment(3.141592653589793d);
    double[] d_array64 = new double[] { 100.0d, 10.0d };
    sum59.incrementAll(d_array64);
    double d66 = variance55.evaluate(d_array64);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment68 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment69 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment68);
    org.apache.commons.math.stat.descriptive.moment.Variance variance70 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment68);
    org.apache.commons.math.stat.descriptive.summary.Sum sum71 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum72 = sum71.copy();
    sum72.increment(3.141592653589793d);
    double[] d_array77 = new double[] { 100.0d, 10.0d };
    sum72.incrementAll(d_array77);
    double d80 = variance70.evaluate(d_array77, 1.0d);
    double d81 = mean49.evaluate(d_array64, d_array77);
    double d82 = variance45.evaluate(d_array77);
    double d84 = variance28.evaluate(d_array77, (-0.3094682437026746d));
    double d85 = sum0.evaluate(d_array18, d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 2024.9999999999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 10100.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test475"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)4.398207537904143d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test476"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    double d4 = mean0.getResult();
    double[] d_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      mean0.incrementAll(d_array5, (-23), (-6));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test477"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.9333935214744353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.016290790166513296d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test478"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = mean0.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    mean4.increment(1.5579295980505914d);
    double d7 = mean4.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.5579295980505914d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test479"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.520007872992917d, 0.07061856828873597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9548717108522854d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test480"); }


    int i1 = org.apache.commons.math.util.FastMath.round(200.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 200);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test481"); }


    long long2 = org.apache.commons.math.util.FastMath.min(3L, 269L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test482"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = variance2.copy();
    variance3.clear();
    long long5 = variance3.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    variance9.clear();
    variance9.increment(100.0d);
    double d13 = variance9.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean14 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean15 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean14, mean15);
    org.apache.commons.math.stat.descriptive.moment.Mean mean17 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean18 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean17, mean18);
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean14, mean17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment22);
    variance24.clear();
    variance24.increment(100.0d);
    double d28 = variance24.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance24, variance31);
    double[] d_array34 = new double[] { 0.0d };
    double d35 = variance31.evaluate(d_array34);
    mean17.incrementAll(d_array34);
    double d38 = variance9.evaluate(d_array34, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d41 = variance3.evaluate(d_array34, 1023, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test483"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.4349955419738682d, (-0.6192471123844373d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.1842515704105691d));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test484"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum4);
    sum3.increment(0.15156283651453492d);
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = sum11.copy();
    long long13 = sum11.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum11);
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = sum15.copy();
    long long17 = sum15.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum18 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum15);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum11, sum15);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable20, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number25 = numberIsTooSmallException24.getArgument();
    boolean b26 = sum15.equals((java.lang.Object)number25);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum3, sum15);
    long long28 = sum3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum3.copy();
    boolean b31 = sum29.equals((java.lang.Object)0.05483113556160755d);
    double d32 = sum29.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean33 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean34 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean33, mean34);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment37 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment38 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment37);
    org.apache.commons.math.stat.descriptive.moment.Variance variance39 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment37);
    variance39.clear();
    variance39.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum42 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum43 = sum42.copy();
    sum43.increment(3.141592653589793d);
    double[] d_array48 = new double[] { 100.0d, 10.0d };
    sum43.incrementAll(d_array48);
    double d50 = variance39.evaluate(d_array48);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment52 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment53 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment52);
    org.apache.commons.math.stat.descriptive.moment.Variance variance54 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment52);
    org.apache.commons.math.stat.descriptive.summary.Sum sum55 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum56 = sum55.copy();
    sum56.increment(3.141592653589793d);
    double[] d_array61 = new double[] { 100.0d, 10.0d };
    sum56.incrementAll(d_array61);
    double d64 = variance54.evaluate(d_array61, 1.0d);
    double d65 = mean33.evaluate(d_array48, d_array61);
    // The following exception was thrown during execution in test generation
    try {
      double d68 = sum29.evaluate(d_array48, 4, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 10L+ "'", number25.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.15156283651453492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 91.81818181818181d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test485"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-63.999992f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test486"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.8789753917064989d, 0.0705600040299336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8789753917064989d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test487"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.25491120373100057d, (java.lang.Number)(-0.0013331328085904315d), false);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test488"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment3, secondMoment7);
    boolean b12 = secondMoment7.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = secondMoment7.copy();
    long long14 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = secondMoment7.copy();
    long long16 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    long long18 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    double[] d_array20 = variance19.getData();
    double[] d_array21 = variance19.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array21);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test489"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    sum1.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = sum1.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment5);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment5);
    variance7.clear();
    variance7.increment(100.0d);
    double d11 = variance7.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance7, variance14);
    double[] d_array17 = new double[] { 0.0d };
    double d18 = variance14.evaluate(d_array17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment20);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment20);
    variance22.clear();
    variance22.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment27);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment27);
    variance29.clear();
    variance29.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance22, variance29);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance14, variance22);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array37 = new double[] { 10.0d };
    double d39 = variance14.evaluate(d_array35, d_array37, 0.0d);
    sum3.incrementAll(d_array37, 0, 0);
    double d43 = sum3.getResult();
    sum3.increment(2.9422553486074694d);
    double d46 = sum3.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 2.9422553486074694d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test490"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.1239231837213715d, 0.014026235275236568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0106214829097269d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test491"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = sum0.copy();
    long long2 = sum0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum0);
    double d4 = sum3.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean6);
    mean6.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean10 = mean6.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = mean10.copy();
    mean10.clear();
    mean10.increment(0.09042471952724754d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment17);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment21 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment17, secondMoment21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment26);
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum30 = sum29.copy();
    sum30.increment(3.141592653589793d);
    double[] d_array35 = new double[] { 100.0d, 10.0d };
    sum30.incrementAll(d_array35);
    double d38 = variance28.evaluate(d_array35, 1.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance variance41 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance28, variance41);
    variance41.increment(4.9E-324d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean45 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean46 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean45, mean46);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment50 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment49);
    org.apache.commons.math.stat.descriptive.moment.Variance variance51 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment49);
    variance51.clear();
    variance51.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum54 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum55 = sum54.copy();
    sum55.increment(3.141592653589793d);
    double[] d_array60 = new double[] { 100.0d, 10.0d };
    sum55.incrementAll(d_array60);
    double d62 = variance51.evaluate(d_array60);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment64 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment65 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment64);
    org.apache.commons.math.stat.descriptive.moment.Variance variance66 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment64);
    org.apache.commons.math.stat.descriptive.summary.Sum sum67 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum68 = sum67.copy();
    sum68.increment(3.141592653589793d);
    double[] d_array73 = new double[] { 100.0d, 10.0d };
    sum68.incrementAll(d_array73);
    double d76 = variance66.evaluate(d_array73, 1.0d);
    double d77 = mean45.evaluate(d_array60, d_array73);
    double d78 = variance41.evaluate(d_array73);
    secondMoment17.incrementAll(d_array73);
    mean10.incrementAll(d_array73);
    // The following exception was thrown during execution in test generation
    try {
      sum3.setData(d_array73, (-23), 320);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 2025.0d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test492"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(2.0209574112366946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.5455456667131795d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test493"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance3.clear();
    variance3.increment(100.0d);
    double d7 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance3, variance10);
    variance3.increment(0.40203075964805834d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = variance3.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment18);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment22 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment23 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment18, secondMoment22);
    boolean b27 = secondMoment22.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = secondMoment22.copy();
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment22);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance14, variance29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(variance14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test494"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    mean1.increment(1.4711276743037347d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = mean1.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = mean5.copy();
    mean5.clear();
    mean5.increment(0.09042471952724754d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean10 = mean5.copy();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment12);
    variance14.clear();
    variance14.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment19 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment20 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment19);
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment19);
    variance21.clear();
    variance21.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance14, variance21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment27 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment26);
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment26);
    secondMoment26.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment33 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment32);
    variance34.clear();
    variance34.increment(100.0d);
    double d38 = variance34.getResult();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment39 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment40 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance variance41 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment39);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance34, variance41);
    double[] d_array44 = new double[] { 0.0d };
    double d45 = variance41.evaluate(d_array44);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment48 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance variance49 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment47);
    variance49.clear();
    variance49.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment54 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment55 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment54);
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment54);
    variance56.clear();
    variance56.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance49, variance56);
    org.apache.commons.math.stat.descriptive.moment.Variance.copy(variance41, variance49);
    double[] d_array62 = new double[] { 1.0d };
    double[] d_array64 = new double[] { 10.0d };
    double d66 = variance41.evaluate(d_array62, d_array64, 0.0d);
    double d69 = secondMoment26.evaluate(d_array64, 0, 0);
    double d71 = variance21.evaluate(d_array64, 0.99990163397469d);
    // The following exception was thrown during execution in test generation
    try {
      double d74 = mean10.evaluate(d_array64, 59, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test495"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 5.0000014f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test496"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = sum4.copy();
    long long6 = sum4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum4);
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = sum8.copy();
    long long10 = sum8.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum11 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum8);
    org.apache.commons.math.stat.descriptive.summary.Sum.copy(sum4, sum8);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable13, (java.lang.Number)10L, (java.lang.Number)(byte)1, true);
    java.lang.Number number18 = numberIsTooSmallException17.getArgument();
    boolean b19 = sum8.equals((java.lang.Object)number18);
    double d20 = sum8.getResult();
    org.apache.commons.math.stat.descriptive.summary.Sum sum21 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = sum21.copy();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = new org.apache.commons.math.stat.descriptive.summary.Sum(sum21);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment26 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment25);
    org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment25);
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = sum28.copy();
    sum29.increment(3.141592653589793d);
    double[] d_array34 = new double[] { 100.0d, 10.0d };
    sum29.incrementAll(d_array34);
    double d37 = variance27.evaluate(d_array34, 1.0d);
    double d38 = sum21.evaluate(d_array34);
    sum8.incrementAll(d_array34);
    double d40 = secondMoment0.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment42 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment0);
    long long43 = secondMoment42.getN();
    long long44 = secondMoment42.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 10L+ "'", number18.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 110.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 2L);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test497"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment.copy(secondMoment3, secondMoment7);
    boolean b12 = secondMoment7.equals((java.lang.Object)0.7071067811865476d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = secondMoment7.copy();
    long long14 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = secondMoment7.copy();
    long long16 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment17 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment7);
    long long18 = secondMoment7.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Mean mean20 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean21 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean20, mean21);
    org.apache.commons.math.stat.descriptive.moment.Mean mean23 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean20);
    org.apache.commons.math.stat.descriptive.moment.Mean mean24 = mean23.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean25 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean26 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean25, mean26);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment29 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment30 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment29);
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment29);
    variance31.clear();
    variance31.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum34 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum35 = sum34.copy();
    sum35.increment(3.141592653589793d);
    double[] d_array40 = new double[] { 100.0d, 10.0d };
    sum35.incrementAll(d_array40);
    double d42 = variance31.evaluate(d_array40);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment44 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment45 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment44);
    org.apache.commons.math.stat.descriptive.moment.Variance variance46 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment44);
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum48 = sum47.copy();
    sum48.increment(3.141592653589793d);
    double[] d_array53 = new double[] { 100.0d, 10.0d };
    sum48.incrementAll(d_array53);
    double d56 = variance46.evaluate(d_array53, 1.0d);
    double d57 = mean25.evaluate(d_array40, d_array53);
    double d58 = mean23.evaluate(d_array40);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment60 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment61 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment60);
    org.apache.commons.math.stat.descriptive.moment.Variance variance62 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment60);
    org.apache.commons.math.stat.descriptive.summary.Sum sum63 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum64 = sum63.copy();
    sum64.increment(3.141592653589793d);
    double[] d_array69 = new double[] { 100.0d, 10.0d };
    sum64.incrementAll(d_array69);
    double d72 = variance62.evaluate(d_array69, 1.0d);
    double d74 = variance19.evaluate(d_array40, d_array69, 0.01402623527523657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 55.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 675.5629691409488d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test498"); }


    double d1 = org.apache.commons.math.util.FastMath.log(3.469446951953614E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-40.20253647247683d));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test499"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean0, mean1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(mean0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = mean3.copy();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.descriptive.moment.Mean.copy(mean5, mean6);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment10 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment9);
    variance11.clear();
    variance11.clear();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = sum14.copy();
    sum15.increment(3.141592653589793d);
    double[] d_array20 = new double[] { 100.0d, 10.0d };
    sum15.incrementAll(d_array20);
    double d22 = variance11.evaluate(d_array20);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment24 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment25 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment(secondMoment24);
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment24);
    org.apache.commons.math.stat.descriptive.summary.Sum sum27 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = sum27.copy();
    sum28.increment(3.141592653589793d);
    double[] d_array33 = new double[] { 100.0d, 10.0d };
    sum28.incrementAll(d_array33);
    double d36 = variance26.evaluate(d_array33, 1.0d);
    double d37 = mean5.evaluate(d_array20, d_array33);
    double d38 = mean3.evaluate(d_array20);
    double d39 = mean3.getResult();
    double d40 = mean3.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mean4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(sum28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 2025.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 91.81818181818181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 55.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test500"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.7157201159733753d, 0.028192438485294458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7159517271600153d);

  }

}
